package com.qy.worksheetsystem.service.impl;

import com.qy.worksheetsystem.model.mapper.WorkCalendarMapper;
import com.qy.worksheetsystem.service.WorkCalendarService;
import com.qy.worksheetsystem.vo.WorkCalendarVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @BelongsProject: workSheetSystem
 * @BelongsPackage: com.qy.worksheetsystem.service.impl
 * @Author: lhbj
 * @CreateTime: 2024-12-03  17:02
 * @Description: TODO
 * @Version: 1.0
 */
@Slf4j
@Service
public class WorkCalendarServiceImpl implements WorkCalendarService {

    @Resource
    private WorkCalendarMapper workCalendarMapper;
    @Override
    public List<WorkCalendarVo> getWorkCalendar(String startDate,String endDate) {
        //0:工作日
        //1：休息日
        //2：法定假日
        List<WorkCalendarVo> selectWorkCalendar=workCalendarMapper.getWorkCalendar(startDate,endDate);

        return selectWorkCalendar;
    }
}
