package com.qy.worksheetsystem.vo;

import lombok.Data;

import java.util.Arrays;
import java.util.List;
import java.util.Objects;

@Data
public class WorkHoursReport {
    private String beginTime;
    private String endTime;
    private Integer state;
    private String action;
    private String id;
    private List<WorkHoursReportEntry> entries;
    @Override
    public boolean equals(Object obj) {

        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }

        WorkHoursReport person = (WorkHoursReport) obj;
        boolean b =Objects.equals(beginTime, person.beginTime) && Objects.equals(endTime, person.endTime)
                &&Objects.equals(state, person.state)
                &&Objects.equals(action, person.action)&&Objects.equals(id, person.id);
        boolean b2 = Arrays.deepEquals(entries.toArray(), person.entries.toArray());
        return b&&b2;
    }

    @Override
    public int hashCode() {
        return Objects.hash(beginTime,endTime,state,action,id,entries);
    }
}
