
shr.defineClass("shr.custom.PerformanProjectPersonList", shr.depcustombill.DepCustomBillList, {
    initalizeDOM: function () {
        shr.custom.PerformanProjectPersonList.superClass.initalizeDOM.call(this);

    },
    
    generatePerformanceAction: function() {
		var _self = this;
		var html = [], buttons = [], $dialog = $("#generateDataDialog"), $body = $(document.body);
		if ($dialog.size() == 0) {
			$dialog = $("<div id='generateDataDialog' class='tiny-dialog'></div>").appendTo($body);
		}
		html = [
            '<div style="margin: 0; height: 300px; display: flex; justify-content: center; align-items: center;">',
                '<div style="display: flex; align-items: center; gap: 50px;">',
        			'<div  style="display: flex;flex-direction: column;">',
                        '<div style="margin-bottom: 5px; font-size: 16px;"> 年度 </div>',
                        '<select id="yearDropdown" style="width: 150px; height: 30px; font-size: 16px;">',
                            '<option value="" disabled selected>请选择</option>',
                        '</select>',
                    '</div>',
                    '<div style="display: flex; flex-direction: column;">',
                        '<div style="margin-bottom: 5px; font-size: 16px;">季度</div>',
                        '<select id="quarterDropdown" style="width: 150px; height: 30px; font-size: 16px;">',
                            '<option value="" disabled selected>请选择</option>',
                            '<option value="1">Q1 季度</option>',
                            '<option value="2">Q2 季度</option>',
                            '<option value="3">Q3 季度</option>',
                            '<option value="4">Q4 季度</option>',
                        '</select>',
                    '</div>',
                    '<div style="display: flex; flex-direction: column;">',
                        '<div style="margin-bottom: 5px; font-size: 16px;">周期开始日期</div>',
                        '<input type="date" id="startDate" style="width: 150px; height: 30px; font-size: 16px; " disabled>',
                    '</div>',
                    '<div style="display: flex; flex-direction: column;">',
                        '<div style="margin-bottom: 5px; font-size: 16px;">周期结束日期</div>',
                        '<input type="date" id="endDate" style="width: 150px; height: 30px; font-size: 16px;" disabled>',
                    '</div>',
                '</div>',
            '</div>'
        ];

		// var saveSettingButton = _self.getSaveButton();
		// buttons.push(saveSettingButton);
		showDialog("#generateDataDialog",
			'执行计划规则',
			html.join(""), buttons, 1150, 450, '取消');
		var startDate_json = {};
        $('#yearDropdown, #quarterDropdown').change(function() {
            var year = $('#yearDropdown').val();
            var quarter = $('#quarterDropdown').val();
            var startDate = $('#startDate');
            var endDate = $('#endDate');
    
            if (year && quarter) {
                let start, end;
    
                // 根据季度计算开始和结束日期
                switch (quarter) {
                    case '1':
                        start = `${year}-01-01`;
                        end = `${year}-03-31`;
                        break;
                    case '2':
                        start = `${year}-04-01`;
                        end = `${year}-06-30`;
                        break;
                    case '3':
                        start = `${year}-07-01`;
                        end = `${year}-09-30`;
                        break;
                    case '4':
                        start = `${year}-10-01`;
                        end = `${year}-12-31`;
                        break;
                }
    
                // 设置开始日期和结束日期
                startDate.val(start)
                endDate.val(end)
            } 
        });
        var currentYear = new Date().getFullYear();
        for (let year = currentYear +5; year >= 2019; year--) {
            $('#yearDropdown').append(`<option value="${year}" ${year === currentYear ? 'selected' : ''}>${year}</option>`);
        }

    },


	getSaveButton: function () {
		var _self = this;
		var saveSettingButton = {
			text: '确定',
			click: function () {
				_self.remoteCall({
					method: '',
					param: param,
					async: false,
					success: function (data) {
						$("#generateDataDialog").remove()
						shr.showWarning({ message: " 数据生成中，请您耐心等待！" });
						setTimeout(function () {
							that.reloadPage();
						}, 2000); // 2秒
						
					}, error: function (response) {
						shr.showError({
							message: response.summary
							, hideAfter: 2
						});
					}
				});
			}
		}
		return saveSettingButton;
	},

    
    updateDates:function() {
        const year = $('#yearDropdown').val();
        const quarter = $('#quarterDropdown').val();
        const startDate = $('#startDate');
        const endDate = $('#endDate');

        if (year && quarter) {
            let start, end;

            // 根据季度计算开始和结束日期
            switch (quarter) {
                case '1':
                    start = `${year}-01-01`;
                    end = `${year}-03-31`;
                    break;
                case '2':
                    start = `${year}-04-01`;
                    end = `${year}-06-30`;
                    break;
                case '3':
                    start = `${year}-07-01`;
                    end = `${year}-09-30`;
                    break;
                case '4':
                    start = `${year}-10-01`;
                    end = `${year}-12-31`;
                    break;
            }

            // 设置开始日期和结束日期
            startDate.val(start).prop('disabled', false);
            endDate.val(end).prop('disabled', false);
        } else {
            startDate.val('').prop('disabled', true);
            endDate.val('').prop('disabled', true);
        }
    }

});

