
shr.defineClass("shr.custom.PerfPeriodList", shr.depcustombill.DepCustomBillList, {
    initalizeDOM: function () {
        var _self = this;
        _self.beforeInitDOM();
        shr.custom.PerfPeriodList.superClass.initalizeDOM.call(_self);

    },

    
	beforeInitDOM: function(){
		// 当前年度
		var nowYear = new Date().getFullYear();
		// 过滤年度控件
		var newYear = [];
		var yearColl = $('#year1').shrSelect('getData');
		for (var i = 0; i < yearColl.length; i++) {
			var item = yearColl[i];
			if (parseInt(item.value) <= nowYear) {
				newYear.push(item);
			}
		}
		newYear = newYear.reverse();
		//newYear.unshift({alias: '全部', value: ''});
		$('#year1').shrSelect('addOption', newYear);
		
		// 默认筛选当前年度
		if ($('#year1').length > 0) {
			$('#year1').shrSelect('setValue', ''+nowYear);
		}
		
	},
    queryAction: function(e) {
		
        shr.custom.PerfPeriodList.superClass.queryGridByEvent.call(this, e);

	},


    	/**
	 * 获得快速过滤的过滤项
	 */
        getFastFilterItems: function () {
            var _self = this;
            var filter = shr.custom.PerfPeriodList.superClass.getFastFilterItems.call(_self);
            
            var filterStr = '{"year":{"values":"","isSaveToScheme":true,"dataType":"string","isCustomDefine":false},"timePeriod":{"values":"","isSaveToScheme":true,"dataType":"string","isCustomDefine":false}}';
            var customFilter = JSON.parse(filterStr);
            
            let year = $('#year1').shrSelect('getValue').value;
            let timePeriod = $('#timePeriod1').shrSelect('getValue').value;
            if(year){
                customFilter.year.values = year;
            }
            if(timePeriod){
                customFilter.timePeriod.values = timePeriod;
            }

            return $.extend(filter, customFilter); 
        },


});

