
shr.defineClass("shr.custom.PerformanProjectOneList", shr.depcustombill.DepCustomBillList, {
    initalizeDOM: function () {
        shr.custom.PerformanProjectOneList.superClass.initalizeDOM.call(this);
    },
    
    generateProjectOneAction: function() {
		var _self = this;
		var html = [], buttons = [], $dialog = $("#generateDataDialog"), $body = $(document.body);
		if ($dialog.size() == 0) {
			$dialog = $("<div id='generateDataDialog'></div>").appendTo($body);
		}
		html = [
            '<div style="margin: 0; height: 300px; display: flex; justify-content: center; align-items: center;">',
                '<div style="display: flex; align-items: center; gap: 50px;">',
                    '<div style="display: flex; flex-direction: column;">',
                        '<div style="margin-bottom: 5px; font-size: 16px;">类型</div>',
                        '<select id="typeData" style="width: 150px; height: 30px; font-size: 16px;">',
                            '<option value="" disabled selected>请选择</option>',
                            '<option value="0">年度</option>',
                            '<option value="1">季度</option>',
                            '<option value="2">月度</option>',
                            '<option value="3">自定义</option>',
                        '</select>',
                    '</div>',
        			'<div id="year" style="display: flex;flex-direction: column;display: none;">',
                        '<div style="margin-bottom: 5px; font-size: 16px;"> 年度 </div>',
                        '<select id="yearDropdown" style="width: 150px; height: 30px; font-size: 16px;">',
                            '<option value="" disabled selected>请选择</option>',
                        '</select>',
                    '</div>',
                    '<div id="quarter" style="display: flex; flex-direction: column;display: none;">',
                        '<div style="margin-bottom: 5px; font-size: 16px;">季度</div>',
                        '<select id="quarterDropdown" style="width: 150px; height: 30px; font-size: 16px;">',
                            '<option value="" disabled selected>请选择</option>',
                            '<option value="1">Q1 季度</option>',
                            '<option value="2">Q2 季度</option>',
                            '<option value="3">Q3 季度</option>',
                            '<option value="4">Q4 季度</option>',
                        '</select>',
                    '</div>',

                    '<div id="monthly" style="display: flex; flex-direction: column;display: none;">',
                        '<div style="margin-bottom: 5px; font-size: 16px;">月度</div>',
                        '<select id="monthlyData" style="width: 150px; height: 30px; font-size: 16px;">',
                            '<option value="" disabled selected>请选择</option>',
                            '<option value="1">1月</option>',
                            '<option value="2">2月</option>',
                            '<option value="3">3月</option>',
                            '<option value="4">4月</option>',
                            '<option value="5">5月</option>',
                            '<option value="6">6月</option>',
                            '<option value="7">7月</option>',
                            '<option value="8">8月</option>',
                            '<option value="9">9月</option>',
                            '<option value="10">10月</option>',
                            '<option value="11">11月</option>',
                            '<option value="12">12月</option>',
                        '</select>',
                    '</div>',

                    '<div id="start" style="display: flex; flex-direction: column;display: none;">',
                        '<div style="margin-bottom: 5px; font-size: 16px;">周期开始日期</div>',
                        '<input type="date" id="startDate" style="width: 150px; height: 30px; font-size: 16px; " disabled>',
                    '</div>',
                    '<div id="end" style="display: flex; flex-direction: column;display: none;">',
                        '<div style="margin-bottom: 5px; font-size: 16px;">周期结束日期</div>',
                        '<input type="date" id="endDate" style="width: 150px; height: 30px; font-size: 16px;" disabled>',
                    '</div>',
                '</div>',
            '</div>'
        ];

		var saveSettingButton = _self.getSaveButton();
		buttons.push(saveSettingButton);
		showDialog("#generateDataDialog",
			'项目绩效生成',
			html.join(""), buttons, 1150, 450, '取消');
		
        $('#typeData').change(function(){
            var type = $('#typeData').val();
            var currentYear = new Date().getFullYear();
            $('#yearDropdown').empty();
            for (let year = currentYear +5; year >= 2019; year--) {
                $('#yearDropdown').append(`<option value="${year}" ${year === currentYear ? 'selected' : ''}>${year}</option>`);
            }
            $('#quarterDropdown').val('')
            $('#monthlyData').val('')
            $('#startDate').val(start).prop('disabled', true);
            $('#endDate').val(end).prop('disabled', true);
            //$('#endDate').prop('disabled', false);
            // 设置日期值
            $('#startDate').val('');
            $('#endDate').val('');
            if (type) {
                $('#year').hide();
                $('#quarter').hide();
                $('#monthly').hide();
                $('#start').hide();
                $('#end').hide();

                switch (type) {
                    case '0':
                        _self.yearDropdown();
                        break;
                    case '1':
                        _self.quarterDropdown();
                        break;
                    case '2':
                        _self.monthlyData();
                        break;
                    case '3':
                        _self.startEndDate();
                        break;
                }
            }
        })
        
        
        $('#yearDropdown, #quarterDropdown,#monthlyData').change(function() {
            var year = $('#yearDropdown').val();
            var quarter = $('#quarterDropdown').val();
            var monthly = $('#monthlyData').val()
            var startDate = $('#startDate');
            var endDate = $('#endDate');
            var isYear = $('#yearDropdown').is(':hidden');
            var isQuarter = $('#quarterDropdown').is(':hidden');
            var isMonthly = $('#monthlyData').is(':hidden');
            var isStart = $('#startDate').is(':hidden');
            //var isYear = $('#yearDropdown').is(':hidden');
            $('#monthly').is(':hidden');
            let start, end;
            if (year && isQuarter) {
                start = `${year}-01-01`;
                end = `${year}-12-31`;
                startDate.val(start)
                endDate.val(end)
            }
            



            if (year && quarter) {
            
                // 根据季度计算开始和结束日期
                switch (quarter) {
                    case '1':
                        start = `${year}-01-01`;
                        end = `${year}-03-31`;
                        break;
                    case '2':
                        start = `${year}-04-01`;
                        end = `${year}-06-30`;
                        break;
                    case '3':
                        start = `${year}-07-01`;
                        end = `${year}-09-30`;
                        break;
                    case '4':
                        start = `${year}-10-01`;
                        end = `${year}-12-31`;
                        break;
                }
                // 设置开始日期和结束日期
                startDate.val(start)
                endDate.val(end)
            }
            if (year && monthly) {
                switch (monthly) {
                    case '1':
                        start = `${year}-01-01`;
                        end = `${year}-01-31`;
                        break;
                    case '2':
                        start = `${year}-02-01`;
                        if ((year % 4 === 0 && year % 100 !== 0) || year % 400 === 0) {
                            end = `${year}-02-29`;
                        } else {
                            end = `${year}-02-28`;
                        }
                        break;
                    case '3':
                        start = `${year}-03-01`;
                        end = `${year}-03-31`;
                        break;
                    case '4':
                        start = `${year}-04-01`;
                        end = `${year}-04-30`;
                        break;
                    case '5':
                        start = `${year}-05-01`;
                        end = `${year}-05-31`;
                        break;
                    case '6':
                        start = `${year}-06-01`;
                        end = `${year}-06-30`;
                        break;
                    case '7':
                        start = `${year}-07-01`;
                        end = `${year}-07-31`;
                        break;
                    case '8':
                        start = `${year}-08-01`;
                        end = `${year}-08-31`;
                        break; 
                    case '9':
                        start = `${year}-09-01`;
                        end = `${year}-09-30`;
                        break;
                    case '10':
                        start = `${year}-10-01`;
                        end = `${year}-10-31`;
                        break;
                    case '11':
                        start = `${year}-11-01`;
                        end = `${year}-11-30`;
                        break;
                    case '12':
                        start = `${year}-12-01`;
                        end = `${year}-12-31`;
                        break;
                }
                startDate.val(start)
                endDate.val(end)
            } 
        });

    },

    yearDropdown:function(){
        $('#year').show();
        $('#start').show();
        $('#end').show();
        var year = $('#yearDropdown').val();
        let start = `${year}-01-01`;
        let end = `${year}-12-31`;
        $('#startDate').val(start);
        $('#endDate').val(end);
    
    },
    quarterDropdown:function(){
        $('#year').show();
        $('#quarter').show();
        $('#start').show();
        $('#end').show();
    },
    monthlyData:function(){
        $('#year').show();
        $('#monthly').show();
        $('#start').show();
        $('#end').show();
    },
    startEndDate:function(){
        $('#yearDropdown').val('')
        $('#start').show();
        $('#end').show();
        var startDate = $('#startDate');
        var endDate = $('#endDate');
        startDate.val(start).prop('disabled', false);
        endDate.val(end).prop('disabled', false);
    },



	getSaveButton: function () {
		var _self = this;
		var saveSettingButton = {
			text: '确定',
			click: function () {
                var start = $('#startDate').val();
                var end = $('#endDate').val();
                var typeName = $('#typeData').val();
				_self.remoteCall({
					method: 'generateProjectOne',
					param: {
                        start:start,
                        end:end,
                        typeName:typeName
                    },
					async: false,
					success: function (data) {
						$("#generateDataDialog").remove()
						shr.showWarning({ message: " 数据生成中，请您耐心等待！" });
						setTimeout(function () {
							_self.reloadPage();
						}, 2000); // 2秒
                        console.log(data);
					}, error: function (response) {
						shr.showError({
							message: response.summary
							, hideAfter: 2
						});
					}
				});
			}
		}
		return saveSettingButton;
	},

});

