shr.defineClass(
  "shr.custom.PerformanceScoringEdit",
  shr.custom.bizbill.DepCustomBillEdit,
  {
    initalizeDOM: function () {
      var _self = this;
      shr.custom.PerformanceScoringEdit.superClass.initalizeDOM.call(_self);
      _self.perforOnchange();
    },

    /**
     * 
     */
    perforOnchange: function () {
      var _self = this;
      $("#perforAppraisal").shrPromptBox("option", {
        onchange: function (e, value) {
          var perforId = value.current.id;
          _self.remoteCall({
            method: "getPerfPeriodPerson",
            param: {id:perforId},
            async: false,
            success: function (data) {
              let evaluationOrg = data.evaluationMap;
              $('#adminOrg').shrPromptBox('setValue',evaluationOrg)
              let list = data.list;
              
              var ids = $("#entrys").jqGrid("getDataIDs");
              if (ids) {
                for (var i = ids.length - 1; i >= 0; i--) {
                  $("#entrys").jqGrid("delRow", ids[i]);
                }
              }
              
              for (let i=0;i<list.length;i++) {
                  var initialRow = _self.findNextId();
                  waf("#entrys").jqGrid("addRowData", initialRow, list[i]);
              }
            },
            error: function (response) {
              shr.showError({
                message: response.summary,
                hideAfter: 2,
              });
            },
          });

          var a = [{
            firstDep: {
              id: "Qz0AAAAABAfM567U",
              name: "3dd",
            },
            chargeDepPerson: {
              id: "Qz0AAAAABKWA733t",
              name: "张三",
            },
          },];

        },
      });
    },

    /**
     * 生成新的rowId
     */
    findNextId: function () {
      var self = this;
      var maxId = 0;
      $("#entrys")
        .find("tr")
        .each(function () {
          var id = $(this).attr("id");
          if (/^[0-9]*$/.test(id)) {
            //如果ids[i]是纯数字则认为是未保存时生成的临时行序号，进行比较，不加这个判断数字开头的id也能成功parseInt()
            try {
              id = parseInt(id);
              if (id > maxId) {
                maxId = id;
              }
            } catch (e) {}
          }
        });
      maxId = parseInt(maxId) + 1;
      return maxId;
    },
  }
);
