package com.kingdee.eas.custom.integrationsap;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.eas.custom.integrationsap.app.*;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class CmpItemFinanAccount extends CoreBillBase implements ICmpItemFinanAccount
{
    public CmpItemFinanAccount()
    {
        super();
        registerInterface(ICmpItemFinanAccount.class, this);
    }
    public CmpItemFinanAccount(Context ctx)
    {
        super(ctx);
        registerInterface(ICmpItemFinanAccount.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("67212FD9");
    }
    private CmpItemFinanAccountController getController() throws BOSException
    {
        return (CmpItemFinanAccountController)getBizController();
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public CmpItemFinanAccountCollection getCmpItemFinanAccountCollection() throws BOSException
    {
        try {
            return getController().getCmpItemFinanAccountCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public CmpItemFinanAccountCollection getCmpItemFinanAccountCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getCmpItemFinanAccountCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public CmpItemFinanAccountCollection getCmpItemFinanAccountCollection(String oql) throws BOSException
    {
        try {
            return getController().getCmpItemFinanAccountCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public CmpItemFinanAccountInfo getCmpItemFinanAccountInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getCmpItemFinanAccountInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public CmpItemFinanAccountInfo getCmpItemFinanAccountInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getCmpItemFinanAccountInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public CmpItemFinanAccountInfo getCmpItemFinanAccountInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getCmpItemFinanAccountInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}