package com.kingdee.eas.hr.perf;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.hr.perf.app.*;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class AccompTheGoal extends CoreBillBase implements IAccompTheGoal
{
    public AccompTheGoal()
    {
        super();
        registerInterface(IAccompTheGoal.class, this);
    }
    public AccompTheGoal(Context ctx)
    {
        super(ctx);
        registerInterface(IAccompTheGoal.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("1E6B7080");
    }
    private AccompTheGoalController getController() throws BOSException
    {
        return (AccompTheGoalController)getBizController();
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public AccompTheGoalCollection getAccompTheGoalCollection() throws BOSException
    {
        try {
            return getController().getAccompTheGoalCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public AccompTheGoalCollection getAccompTheGoalCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getAccompTheGoalCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public AccompTheGoalCollection getAccompTheGoalCollection(String oql) throws BOSException
    {
        try {
            return getController().getAccompTheGoalCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public AccompTheGoalInfo getAccompTheGoalInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getAccompTheGoalInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public AccompTheGoalInfo getAccompTheGoalInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getAccompTheGoalInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public AccompTheGoalInfo getAccompTheGoalInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getAccompTheGoalInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}