package com.kingdee.eas.hr.perf;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.IHRBillBase;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.hr.base.HRBillBase;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.hr.perf.app.*;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class PerformanProjectOne extends HRBillBase implements IPerformanProjectOne
{
    public PerformanProjectOne()
    {
        super();
        registerInterface(IPerformanProjectOne.class, this);
    }
    public PerformanProjectOne(Context ctx)
    {
        super(ctx);
        registerInterface(IPerformanProjectOne.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("037D5588");
    }
    private PerformanProjectOneController getController() throws BOSException
    {
        return (PerformanProjectOneController)getBizController();
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public PerformanProjectOneCollection getPerformanProjectOneCollection() throws BOSException
    {
        try {
            return getController().getPerformanProjectOneCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public PerformanProjectOneCollection getPerformanProjectOneCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getPerformanProjectOneCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public PerformanProjectOneCollection getPerformanProjectOneCollection(String oql) throws BOSException
    {
        try {
            return getController().getPerformanProjectOneCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public PerformanProjectOneInfo getPerformanProjectOneInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanProjectOneInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public PerformanProjectOneInfo getPerformanProjectOneInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanProjectOneInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public PerformanProjectOneInfo getPerformanProjectOneInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanProjectOneInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}