package com.kingdee.eas.hr.perf;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.HRBillBaseEntry;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.hr.base.IHRBillBaseEntry;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.hr.perf.app.*;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class PerformanProjectTwoEntry extends HRBillBaseEntry implements IPerformanProjectTwoEntry
{
    public PerformanProjectTwoEntry()
    {
        super();
        registerInterface(IPerformanProjectTwoEntry.class, this);
    }
    public PerformanProjectTwoEntry(Context ctx)
    {
        super(ctx);
        registerInterface(IPerformanProjectTwoEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("8F3163A4");
    }
    private PerformanProjectTwoEntryController getController() throws BOSException
    {
        return (PerformanProjectTwoEntryController)getBizController();
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public PerformanProjectTwoEntryInfo getPerformanProjectTwoEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanProjectTwoEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public PerformanProjectTwoEntryInfo getPerformanProjectTwoEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanProjectTwoEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public PerformanProjectTwoEntryInfo getPerformanProjectTwoEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanProjectTwoEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public PerformanProjectTwoEntryCollection getPerformanProjectTwoEntryCollection() throws BOSException
    {
        try {
            return getController().getPerformanProjectTwoEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public PerformanProjectTwoEntryCollection getPerformanProjectTwoEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getPerformanProjectTwoEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public PerformanProjectTwoEntryCollection getPerformanProjectTwoEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getPerformanProjectTwoEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}