package com.kingdee.eas.hr.perf;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.framework.DataBase;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.hr.perf.app.*;
import com.kingdee.eas.framework.IDataBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class PerformanceLevel extends DataBase implements IPerformanceLevel
{
    public PerformanceLevel()
    {
        super();
        registerInterface(IPerformanceLevel.class, this);
    }
    public PerformanceLevel(Context ctx)
    {
        super(ctx);
        registerInterface(IPerformanceLevel.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("21D82147");
    }
    private PerformanceLevelController getController() throws BOSException
    {
        return (PerformanceLevelController)getBizController();
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public PerformanceLevelInfo getPerformanceLevelInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanceLevelInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public PerformanceLevelInfo getPerformanceLevelInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanceLevelInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public PerformanceLevelInfo getPerformanceLevelInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanceLevelInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public PerformanceLevelCollection getPerformanceLevelCollection() throws BOSException
    {
        try {
            return getController().getPerformanceLevelCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public PerformanceLevelCollection getPerformanceLevelCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getPerformanceLevelCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public PerformanceLevelCollection getPerformanceLevelCollection(String oql) throws BOSException
    {
        try {
            return getController().getPerformanceLevelCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}