package com.kingdee.eas.hr.perf;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class PerformanceLevelFactory
{
    private PerformanceLevelFactory()
    {
    }
    public static com.kingdee.eas.hr.perf.IPerformanceLevel getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.hr.perf.IPerformanceLevel)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("21D82147") ,com.kingdee.eas.hr.perf.IPerformanceLevel.class);
    }
    
    public static com.kingdee.eas.hr.perf.IPerformanceLevel getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.hr.perf.IPerformanceLevel)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("21D82147") ,com.kingdee.eas.hr.perf.IPerformanceLevel.class, objectCtx);
    }
    public static com.kingdee.eas.hr.perf.IPerformanceLevel getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.hr.perf.IPerformanceLevel)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("21D82147"));
    }
    public static com.kingdee.eas.hr.perf.IPerformanceLevel getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.hr.perf.IPerformanceLevel)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("21D82147"));
    }
}