package com.kingdee.eas.hr.perf;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.IHRBillBase;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.hr.base.HRBillBase;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.hr.perf.app.*;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class PerformanceScoringSum extends HRBillBase implements IPerformanceScoringSum
{
    public PerformanceScoringSum()
    {
        super();
        registerInterface(IPerformanceScoringSum.class, this);
    }
    public PerformanceScoringSum(Context ctx)
    {
        super(ctx);
        registerInterface(IPerformanceScoringSum.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("6D5E3D19");
    }
    private PerformanceScoringSumController getController() throws BOSException
    {
        return (PerformanceScoringSumController)getBizController();
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public PerformanceScoringSumCollection getPerformanceScoringSumCollection() throws BOSException
    {
        try {
            return getController().getPerformanceScoringSumCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public PerformanceScoringSumCollection getPerformanceScoringSumCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getPerformanceScoringSumCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public PerformanceScoringSumCollection getPerformanceScoringSumCollection(String oql) throws BOSException
    {
        try {
            return getController().getPerformanceScoringSumCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public PerformanceScoringSumInfo getPerformanceScoringSumInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanceScoringSumInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public PerformanceScoringSumInfo getPerformanceScoringSumInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanceScoringSumInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public PerformanceScoringSumInfo getPerformanceScoringSumInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanceScoringSumInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}