/**
 * output package name
 */
package com.kingdee.eas.hr.perf.app;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class EnableDisableEnum extends StringEnum
{
    public static final String ENABLE_VALUE = "1";//alias=
    public static final String DISABLE_VALUE = "2";//alias=
    public static final String NOTENABLE_VALUE = "3";//alias=δ

    public static final EnableDisableEnum enable = new EnableDisableEnum("enable", ENABLE_VALUE);
    public static final EnableDisableEnum disable = new EnableDisableEnum("disable", DISABLE_VALUE);
    public static final EnableDisableEnum notEnable = new EnableDisableEnum("notEnable", NOTENABLE_VALUE);

    /**
     * construct function
     * @param String enableDisableEnum
     */
    private EnableDisableEnum(String name, String enableDisableEnum)
    {
        super(name, enableDisableEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static EnableDisableEnum getEnum(String enableDisableEnum)
    {
        return (EnableDisableEnum)getEnum(EnableDisableEnum.class, enableDisableEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(EnableDisableEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(EnableDisableEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(EnableDisableEnum.class);
    }
}