/**
 * output package name
 */
package com.kingdee.eas.hr.perf.app;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class TimeTypeEunm extends StringEnum
{
    public static final String YEAR_VALUE = "0";//alias=
    public static final String QUARTER_VALUE = "1";//alias=
    public static final String MONTHLY_VALUE = "2";//alias=¶
    public static final String CUSTOM_VALUE = "3";//alias=Զ

    public static final TimeTypeEunm year = new TimeTypeEunm("year", YEAR_VALUE);
    public static final TimeTypeEunm quarter = new TimeTypeEunm("quarter", QUARTER_VALUE);
    public static final TimeTypeEunm monthly = new TimeTypeEunm("monthly", MONTHLY_VALUE);
    public static final TimeTypeEunm custom = new TimeTypeEunm("custom", CUSTOM_VALUE);

    /**
     * construct function
     * @param String timeTypeEunm
     */
    private TimeTypeEunm(String name, String timeTypeEunm)
    {
        super(name, timeTypeEunm);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static TimeTypeEunm getEnum(String timeTypeEunm)
    {
        return (TimeTypeEunm)getEnum(TimeTypeEunm.class, timeTypeEunm);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(TimeTypeEunm.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(TimeTypeEunm.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(TimeTypeEunm.class);
    }
}