/**
 * output package name
 */
package com.kingdee.eas.hr.perf.app;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class documentType extends StringEnum
{
    public static final String SATISFACTION_VALUE = "0";//alias=֯
    public static final String PROJECTPERSON_VALUE = "1";//alias=Ŀ
    public static final String PROJECTFIRSTDEP_VALUE = "2";//alias=Ŀһ
    public static final String PROJECTTWODEP_VALUE = "3";//alias=Ŀ

    public static final documentType Satisfaction = new documentType("Satisfaction", SATISFACTION_VALUE);
    public static final documentType ProjectPerson = new documentType("ProjectPerson", PROJECTPERSON_VALUE);
    public static final documentType ProjectFirstDep = new documentType("ProjectFirstDep", PROJECTFIRSTDEP_VALUE);
    public static final documentType ProjectTwoDep = new documentType("ProjectTwoDep", PROJECTTWODEP_VALUE);

    /**
     * construct function
     * @param String documentType
     */
    private documentType(String name, String documentType)
    {
        super(name, documentType);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static documentType getEnum(String documentType)
    {
        return (documentType)getEnum(documentType.class, documentType);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(documentType.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(documentType.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(documentType.class);
    }
}