package com.kingdee.eas.hr.perf.task;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.hr.perf.task.*;
import java.util.Map;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class PerformanceResultFacade extends AbstractBizCtrl implements IPerformanceResultFacade
{
    public PerformanceResultFacade()
    {
        super();
        registerInterface(IPerformanceResultFacade.class, this);
    }
    public PerformanceResultFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IPerformanceResultFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("5D9B1FA4");
    }
    private PerformanceResultFacadeController getController() throws BOSException
    {
        return (PerformanceResultFacadeController)getBizController();
    }
    /**
     *ĿЧ-User defined method
     *@param start ʼʱ
     *@param end 
     *@param typeName 
     *@return
     */
    public Map generatePerformance(String start, String end, String typeName) throws BOSException, EASBizException
    {
        try {
            return getController().generatePerformance(getContext(), start, end, typeName);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ɼЧһ-User defined method
     *@param start ʼʱ
     *@param end ʱ
     *@param typeName 
     *@return
     */
    public Map generateProjectOne(String start, String end, String typeName) throws BOSException, EASBizException
    {
        try {
            return getController().generateProjectOne(getContext(), start, end, typeName);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ɼЧ-User defined method
     *@param start ʼʱ
     *@param end ʱ
     *@param typeName 
     *@return
     */
    public Map generateProjectTwo(String start, String end, String typeName) throws BOSException, EASBizException
    {
        try {
            return getController().generateProjectTwo(getContext(), start, end, typeName);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}