package com.kingdee.eas.hr.perf.task;

import cn.hutool.core.util.StrUtil;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.kingdee.shr.base.syssetting.MSFServiceFacadeFactory;
import org.apache.log4j.Logger;
import javax.ejb.*;
import java.rmi.RemoteException;
import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;

import java.lang.String;

public class TargetsOrgTaskFacadeControllerBean extends AbstractTargetsOrgTaskFacadeControllerBean
{
    private static Logger logger =
        Logger.getLogger("com.kingdee.eas.hr.perf.task.TargetsOrgTaskFacadeControllerBean");

    @Override
    protected String _execute(Context ctx, String param) throws BOSException {
        super._execute(ctx, param);

        try{
            JSONObject map = JSONUtil.parseObj(param);

            String osfServive =map.getStr("serviceName");
            if(StrUtil.isBlank(osfServive)){
                osfServive=map.getStr("osfServive");
            }
            if(StrUtil.isBlank(osfServive)){
                osfServive=map.getStr("osfServiveName");
            }
            Object obj = MSFServiceFacadeFactory.getLocalInstance(ctx).processService(osfServive, map);
            return obj.toString();
        }catch (Exception e){
            e.printStackTrace();
        }
        return "err";
    }
}