package com.kingdee.eas.custom.performanceScoring.handler;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.bos.service.job.core.JobDef;
import com.kingdee.bos.service.job.wrapper.MethodWrapper;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.hr.perf.task.PerformanceResultFacade;
import com.kingdee.shr.base.syssetting.context.SHRContext;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import com.kingdee.shr.base.syssetting.web.handler.DEPCustomBillListHandler;
import org.apache.log4j.Logger;
import org.springframework.ui.ModelMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.sql.SQLException;
import java.sql.Timestamp;

/**
 * Чһ
 *
 * @Description TODO
 * @Date 2025/2/17 20:36
 * @Created by 30489
 */
public class PerformanProjectOneDEPListHandler extends DEPCustomBillListHandler {

    Logger logger = Logger.getLogger("com.kingdee.eas.custom.performanceScoring.handler.PerformanProjectOneDEPListHandler");

    /**
     * ɼЧһ
     *
     * @param request
     * @param response
     * @param modelMap
     * @throws SHRWebException
     * @throws BOSException
     * @throws EASBizException
     * @throws SQLException
     */
    public void generateProjectOneAction(HttpServletRequest request, HttpServletResponse response, ModelMap modelMap) throws Exception {
        Context ctx = SHRContext.getInstance().getContext();
        String start = request.getParameter("start");
        String end = request.getParameter("end");
        String typeName = request.getParameter("typeName");
        //IPerformanceResultFacade iPerformanceResultFacade = PerformanceResultFacadeFactory.getLocalInstance(ctx);
        //iPerformanceResultFacade.generateProjectOne(start, end, typeName);

        Class cls = PerformanceResultFacade.class; //ҵ
        String methodName = "generateProjectOne"; //ҵ񷽷
        Object[] params = new Object[]{start, end, typeName}; //
        MethodWrapper methodWrapper = new MethodWrapper(cls, methodName, params); //װ
        String title = "ɼЧһ";
        String descrption = "ɼЧһ";
        boolean isPersistent = true; //Ƿ־û¼Ƿݿ⣬Ƿں̨ؿɲѯ־û
        JobDef jobDef = new JobDef(ctx, null, title, descrption, null, null, isPersistent, methodWrapper);//
        String defId = "f1cb99f9-75f2-4847-b10c-0d0ada16ee65BGJOBDEF"; //ȡidм¼´δʹ
        logger.error("generateProjectOneAction---" + defId);
        Timestamp timestamp = new Timestamp(System.currentTimeMillis() + 5000); //ƻִʱ䣬nullĬӳ10
        com.kingdee.bos.service.job.JobServiceFactory.getLocalInstance(ctx).createJobInstance(defId, params, timestamp);
    }
    ///**
    // *ɼЧһ
    // * @param request
    // * @param response
    // * @param modelMap
    // * @throws SHRWebException
    // * @throws BOSException
    // * @throws EASBizException
    // * @throws SQLException
    // */
    //public void generateProjectOneAction(HttpServletRequest request, HttpServletResponse response, ModelMap modelMap) throws BOSException, EASBizException, SQLException, ParseException {
    //    String start = request.getParameter("start");
    //    String end = request.getParameter("end");
    //    String typeName = request.getParameter("typeName");
    //SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd");
    //Date startDate = formatter.parse(start);
    //Date endDate = formatter.parse(end);
    //TimeTypeEunm anEnum = TimeTypeEunm.getEnum(typeName);
    //Context ctx = SHRContext.getInstance().getContext();
    //MultiMap multiMap = new MultiValueMap<>();
    //Set<String> set = new HashSet<String>();
    //
    //
    //StringBuffer sql = new StringBuffer(); //id
    //sql.append("SELECT").append("\n");
    //sql.append("two.CFPERSONID twoPersonId,").append("\n");
    //sql.append("two.CFORGDEPID twoOrgDep,").append("\n");
    //sql.append("two.CFPERPOJECTSUM twoProjectSum,").append("\n");
    //sql.append("CASE").append("\n");
    //sql.append("    WHEN type.fname_l2 = 'һ' THEN two.CFORGDEPID").append("\n");
    //sql.append("    WHEN type.fname_l2 = '' THEN admin.FPARENTID").append("\n");
    //sql.append("ELSE two.CFORGDEPID END AS adminID").append("\n");
    //sql.append("FROM CT_HR_PerformanProjectTwo two").append("\n");
    //sql.append("left join T_org_admin admin on admin.fid = two.CFORGDEPID").append("\n");
    //sql.append("left join T_Org_LayerType type on type.fid = admin.FLAYERTYPEID").append("\n");
    //
    //sql.append("where to_char(two.CFSTARTDATE, 'yyyy-mm-dd') >= '"+start+"' and to_char(two.CFENDDATE, 'yyyy-mm-dd') <= '"+end+"'").append("\n");
    //sql.append("and two.FBILLSTATE = '3'").append("\n");
    //IRowSet rs = DbUtil.executeQuery(ctx, sql.toString());
    //while (rs.next()){
    //    Map<String, Object> map = new HashMap<>();
    //    String twoPersonId = rs.getString("twoPersonId");
    //    String twoOrgDep = rs.getString("twoOrgDep");
    //    BigDecimal twoProjectSum = rs.getBigDecimal("twoProjectSum");
    //    String adminID = rs.getString("adminID");
    //    map.put("twoPersonId",twoPersonId);
    //    map.put("twoOrgDep",twoOrgDep);
    //    map.put("twoProjectSum",twoProjectSum);
    //    multiMap.put(adminID,map);
    //    set.add(adminID);
    //}
    //
    //Map<String, String> mapIds = new HashMap<>();
    //StringBuffer stringBuffer = new StringBuffer();
    //stringBuffer.append("SELECT").append("\n");
    //stringBuffer.append("admin.fid adminId,").append("\n");
    //stringBuffer.append("pp.FPERSONID depPersonId").append("\n");
    //stringBuffer.append("FROM T_org_admin admin").append("\n");
    //stringBuffer.append("left join T_HR_PersonPosition pp on admin.FRESPONPOSITIONID = pp.FPRIMARYPOSITIONID").append("\n");
    //stringBuffer.append("where admin.fid in(").append("\n");
    //stringBuffer.append(AtsUtil.convertSetToString(set)).append("\n");
    //stringBuffer.append(")").append("\n");
    //IRowSet iRowSet = DbUtil.executeQuery(ctx, stringBuffer.toString());
    //while (iRowSet.next()){
    //    String depPersonId = iRowSet.getString("depPersonId");//֯
    //    String adminID = iRowSet.getString("adminId");
    //    mapIds.put(adminID,depPersonId);
    //}
    //
    //
    //for (String adminID : set) {
    //    List list = (List) multiMap.get(adminID);
    //    PerformanProjectOneInfo info = new PerformanProjectOneInfo();
    //    PersonInfo personInfo = new PersonInfo();
    //    AdminOrgUnitInfo adminOrgUnitInfo = new AdminOrgUnitInfo();
    //    HROrgUnitInfo hrOrgUnitInfo = new HROrgUnitInfo();
    //    hrOrgUnitInfo.setId(BOSUuid.read("00000000-0000-0000-0000-000000000000CCE7AED4"));
    //    info.setHrOrgUnit(hrOrgUnitInfo);
    //    String billNumber = NumberCodeRule.readCodeRuleNumber(info, NumberCodeRule.getMainOrgByCu(ctx), ctx);
    //    info.setNumber(billNumber);
    //    info.setTimeType(anEnum);
    //    info.setStartDate(startDate);
    //    info.setEndDate(endDate);
    //    BigDecimal zero = BigDecimal.ZERO;
    //    int index = 0;
    //    for (int i = 0; i < list.size(); i++) {
    //        PerformanProjectOneEntryInfo entryInfo = new PerformanProjectOneEntryInfo();
    //        AdminOrgUnitInfo adminOrgUnitTwoInfo = new AdminOrgUnitInfo();
    //        PersonInfo personTwoInfo = new PersonInfo();
    //        Map map = (Map) list.get(i);
    //        //String orgParentId = (String) map.get("orgParentId");
    //        String personId = mapIds.get(adminID) == null ? "": mapIds.get(adminID);
    //        String twoPersonId = (String) map.get("twoPersonId");
    //        String twoOrgDep = (String) map.get("twoOrgDep");
    //        BigDecimal twoProjectSum = (BigDecimal) map.get("twoProjectSum");
    //        adminOrgUnitInfo.setId(BOSUuid.read(adminID));
    //        info.setOrgDep(adminOrgUnitInfo);
    //        if (StringUtils.isNotBlank(personId)){
    //            personInfo.setId(BOSUuid.read(personId));
    //        }
    //
    //        info.setPerson(personInfo);
    //        adminOrgUnitTwoInfo.setId(BOSUuid.read(twoOrgDep));
    //        entryInfo.setSecondDep(adminOrgUnitTwoInfo);
    //        personTwoInfo.setId(BOSUuid.read(twoPersonId));
    //        entryInfo.setSecondDepPerson(personTwoInfo);
    //        zero = zero.add(twoProjectSum);
    //        if (index == list.size() - 1){
    //            zero = zero.divide(BigDecimal.valueOf(list.size()));
    //            info.setPerPojectSum(zero);
    //        }
    //        index++;
    //        entryInfo.setProjectModulus(twoProjectSum);
    //
    //        info.getEntrys().add(entryInfo);
    //    }
    //    PerformanProjectOneFactory.getLocalInstance(ctx).save(info);
    //}

}
