package com.kingdee.eas.custom.performanceScoring.handler;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.ormapping.ObjectUuidPK;
import com.kingdee.bos.service.job.core.JobDef;
import com.kingdee.bos.service.job.wrapper.MethodWrapper;
import com.kingdee.bos.util.BOSUuid;
import com.kingdee.eas.basedata.org.AdminOrgUnitInfo;
import com.kingdee.eas.basedata.org.HROrgUnitInfo;
import com.kingdee.eas.basedata.person.PersonInfo;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.hr.ats.AtsUtil;
import com.kingdee.eas.hr.ats.lightapp.util.NumberCodeRule;
import com.kingdee.eas.hr.perf.*;
import com.kingdee.eas.hr.perf.app.TimeTypeEunm;
import com.kingdee.eas.hr.perf.task.IPerformanceResultFacade;
import com.kingdee.eas.hr.perf.task.PerformanceResultFacade;
import com.kingdee.eas.hr.perf.task.PerformanceResultFacadeFactory;
import com.kingdee.eas.hr.project.ProjectManagementInfo;
import com.kingdee.eas.hr.project.ProjectRoleInfo;
import com.kingdee.eas.hr.project.ProjectTypeInfo;
import com.kingdee.eas.util.app.DbUtil;
import com.kingdee.jdbc.rowset.IRowSet;
import com.kingdee.shr.base.syssetting.context.SHRContext;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import com.kingdee.shr.base.syssetting.web.handler.DEPCustomBillListHandler;
import com.kingdee.shr.perfweb.app.base.evalplan.IPerfPeriod;
import com.kingdee.shr.perfweb.app.base.evalplan.PerfPeriodFactory;
import com.kingdee.shr.perfweb.app.base.evalplan.PerfPeriodInfo;
import org.apache.log4j.Logger;
import org.springframework.ui.ModelMap;

import com.kingdee.shr.base.syssetting.app.osf.OSFAppUtil;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.math.BigDecimal;
import java.sql.SQLException;
import java.sql.Timestamp;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.*;


/**
 * Ч_б
 *
 * @Description TODO
 * @Date 2025/2/14 17:30
 * @Created by 30489
 */
public class PerformanProjectPersonDEPListHandler extends DEPCustomBillListHandler {
    Logger logger = Logger.getLogger("com.kingdee.eas.custom.performanceScoring.handler.PerformanProjectPersonDEPListHandler");

    /**
     * ĿЧ
     *
     * @param request
     * @param response
     * @param modelMap
     * @throws SHRWebException
     * @throws BOSException
     * @throws EASBizException
     */
    public void generatePerformanceAction(HttpServletRequest request, HttpServletResponse response, ModelMap modelMap) throws Exception {
        Context ctx = SHRContext.getInstance().getContext();
        String start = request.getParameter("start");
        String end = request.getParameter("end");
        String typeName = request.getParameter("typeName");
        //IPerformanceResultFacade iPerformanceResultFacade = PerformanceResultFacadeFactory.getLocalInstance(ctx);
        //Map callService = iPerformanceResultFacade.generatePerformance(start, end, typeName);
        Class cls = PerformanceResultFacade.class; //ҵ
        String methodName = "generatePerformance"; //ҵ񷽷
        Object[] params = new Object[]{start, end, typeName}; //
        MethodWrapper methodWrapper = new MethodWrapper(cls, methodName, params); //װ
        logger.error("methodWrapper---" + methodWrapper.toString());
        String title = "ĿЧ";
        String descrption = "ĿЧ";
        boolean isPersistent = true; //Ƿ־û¼Ƿݿ⣬Ƿں̨ؿɲѯ־û
        JobDef jobDef = new JobDef(ctx, null, title, descrption, null, null, isPersistent, methodWrapper);//
        String defId = "ce27d5e1-1700-4777-9e5c-614bed13e824BGJOBDEF"; //ȡidм¼´δʹ
        logger.error("generatePerformanceAction---" + defId);
        Timestamp timestamp = new Timestamp(System.currentTimeMillis() + 5000); //ƻִʱ䣬nullĬӳ10
        com.kingdee.bos.service.job.JobServiceFactory.getLocalInstance(ctx).createJobInstance(defId, params, timestamp);
        //this.writeSuccessData(callService);

    }

    ///**
    // * ĿЧ
    // *
    // * @param request
    // * @param response
    // * @param modelMap
    // * @throws SHRWebException
    // * @throws BOSException
    // * @throws EASBizException
    // */
    //public void generatePerformanceAction(HttpServletRequest request, HttpServletResponse response, ModelMap modelMap) throws SHRWebException, BOSException, EASBizException, SQLException, ParseException {
    //    String start = request.getParameter("start");
    //    String end = request.getParameter("end");
    //    String typeName = request.getParameter("typeName");
    //    SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd");
    //    Date startDate = formatter.parse(start);
    //    Date endDate = formatter.parse(end);
    //    TimeTypeEunm anEnum = TimeTypeEunm.getEnum(typeName);
    //    //ѯid
    //    Set<String> set = new HashSet<>();
    //    Context ctx = SHRContext.getInstance().getContext();
    //    String sql = "select fid id from T_EVA_PerfPeriod where  to_char(FPSTARTDATE, 'yyyy-mm-dd') >= '" + start + "' and to_char(FPENDDATE, 'yyyy-mm-dd') <= '" + end + "'";
    //    IRowSet rs = DbUtil.executeQuery(ctx, sql.toString());
    //    while (rs.next()) {
    //        String id = rs.getString("id");
    //        set.add(id);
    //    }
    //
    //    Map<String, String> map = new HashMap<>();
    //    map.put("periodids", AtsUtil.convertSetToString(set));
    //
    //    Map callService = (Map) OSFAppUtil.callService(ctx, "ProjectEvalruleService", map);
    //    IPerfPeriod localInstance = PerfPeriodFactory.getLocalInstance(ctx);
    //
    //    for (Object personId : callService.keySet()) {
    //        PerformanProjectPersonInfo info = new PerformanProjectPersonInfo();
    //        PersonInfo personInfo = new PersonInfo();
    //        AdminOrgUnitInfo adminOrgUnitInfo = new AdminOrgUnitInfo();
    //        PerfPeriodInfo perfPeriodInfo = new PerfPeriodInfo();
    //
    //        personInfo.setId(BOSUuid.read((String) personId));
    //        info.setPerson(personInfo);
    //        HROrgUnitInfo hrOrgUnitInfo = new HROrgUnitInfo();
    //        hrOrgUnitInfo.setId(BOSUuid.read("00000000-0000-0000-0000-000000000000CCE7AED4"));
    //        info.setHrOrgUnit(hrOrgUnitInfo);
    //        info.setTimeType(anEnum);
    //        info.setStartDate(startDate);
    //        info.setEndDate(endDate);
    //        List<Object> list = (List) callService.get(personId);
    //        String billNumber = NumberCodeRule.readCodeRuleNumber(info, NumberCodeRule.getMainOrgByCu(ctx), ctx);
    //        info.setNumber(billNumber);
    //        BigDecimal zero = BigDecimal.ZERO;
    //        for (int i = 0; i < list.size(); i++) {
    //            PerformanProjectPersonEntryInfo entry = new PerformanProjectPersonEntryInfo();
    //            ProjectManagementInfo projectManagementInfo = new ProjectManagementInfo();
    //            ProjectRoleInfo projectRoleInfo = new ProjectRoleInfo();
    //            ProjectTypeInfo projectTypeInfo = new ProjectTypeInfo();
    //            Map listMap = (Map) list.get(i);
    //            String projectId = (String) listMap.get("projectid");
    //            String periodId = (String) listMap.get("periodId");
    //            String roleId = (String) listMap.get("roleId");
    //            String projectTypeId = (String) listMap.get("projectTypeId");//ɫid
    //            String adminid = (String) listMap.get("adminid");
    //            BigDecimal projectPerformance = listMap.get("projectPerformance") == null ? BigDecimal.ZERO : (BigDecimal) listMap.get("projectPerformance");//ĿЧ
    //
    //            BigDecimal singleProject = listMap.get("singleProject") == null ? BigDecimal.ZERO : (BigDecimal) listMap.get("singleProject");//˴Ч
    //            BigDecimal itemWeight = listMap.get("itemWeight") == null ? BigDecimal.ZERO : (BigDecimal) listMap.get("itemWeight");//ĿȨ
    //            zero = zero.add(projectPerformance.multiply(singleProject).multiply(itemWeight));//ϵ
    //
    //            adminOrgUnitInfo.setId(BOSUuid.read(adminid));
    //            perfPeriodInfo.setId(BOSUuid.read(periodId));
    //            projectTypeInfo.setId(BOSUuid.read(projectTypeId));
    //            projectManagementInfo.setId(BOSUuid.read(projectId));
    //            projectRoleInfo.setId(BOSUuid.read(roleId));
    //            info.setOrgDep(adminOrgUnitInfo);
    //            info.setPerfPlan(perfPeriodInfo);
    //            info.setPerPojectSum(zero);//ĿЧ
    //            entry.setParticipate(projectManagementInfo);//Ŀid
    //            entry.setProjectRole(projectRoleInfo);//ɫid
    //            //
    //            entry.setProjectPerformance(projectPerformance);//
    //            entry.setSingleProject(singleProject);//
    //            entry.setItemWeight(itemWeight);//
    //            info.getEntrys().add(entry);
    //            //
    //            StringBuffer perfPeriodName = new StringBuffer();
    //            //ڱ
    //            StringBuffer perfPeriodNumber = new StringBuffer();
    //            PerformanProjectPersonPerfPlanMultipleInfo multipleInfo = new PerformanProjectPersonPerfPlanMultipleInfo();
    //            PerfPeriodInfo periodInfo = localInstance.getPerfPeriodInfo(new ObjectUuidPK(periodId));
    //            multipleInfo.setPerfPlanMultiple(periodInfo);
    //            info.getPerfPlanMultiple().add(multipleInfo);
    //            perfPeriodName.append(periodInfo.getName()).append("");
    //            perfPeriodNumber.append(periodInfo.getNumber()).append("");
    //            perfPeriodName.deleteCharAt(perfPeriodName.length() - 1);
    //            //д뿼
    //            info.setPerfPlanStr(perfPeriodName.toString());
    //            //д뿼ڱ
    //            perfPeriodNumber.deleteCharAt(perfPeriodNumber.length() - 1);
    //            info.setPerfPlanNumber(perfPeriodNumber.toString());
    //            info.setDescription(periodId);
    //
    //        }
    //        PerformanProjectPersonFactory.getLocalInstance(ctx).save(info);
    //    }
    //
    //    this.writeSuccessData(callService);
    //
    //}


}
