package com.kingdee.eas.custom.performanceScoring.handler;

import com.aliyun.odps.utils.StringUtils;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.ormapping.ObjectUuidPK;
import com.kingdee.bos.service.job.core.JobDef;
import com.kingdee.bos.service.job.wrapper.MethodWrapper;
import com.kingdee.bos.util.BOSUuid;
import com.kingdee.eas.basedata.org.AdminOrgUnitInfo;
import com.kingdee.eas.basedata.org.HROrgUnitInfo;
import com.kingdee.eas.basedata.person.PersonInfo;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.hr.ats.AtsUtil;
import com.kingdee.eas.hr.ats.lightapp.util.NumberCodeRule;
import com.kingdee.eas.hr.perf.*;
import com.kingdee.eas.hr.perf.app.TimeTypeEunm;
import com.kingdee.eas.hr.perf.task.IPerformanceResultFacade;
import com.kingdee.eas.hr.perf.task.PerformanceResultFacade;
import com.kingdee.eas.hr.perf.task.PerformanceResultFacadeFactory;
import com.kingdee.eas.hr.project.*;
import com.kingdee.eas.util.app.DbUtil;
import com.kingdee.jdbc.rowset.IRowSet;
import com.kingdee.shr.base.syssetting.app.osf.OSFAppUtil;
import com.kingdee.shr.base.syssetting.context.SHRContext;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import com.kingdee.shr.base.syssetting.exception.ShrWebBizException;
import com.kingdee.shr.base.syssetting.web.handler.DEPCustomBillListHandler;
import com.kingdee.shr.perfweb.app.base.evalplan.IPerfPeriod;
import com.kingdee.shr.perfweb.app.base.evalplan.PerfPeriodFactory;
import com.kingdee.shr.perfweb.app.base.evalplan.PerfPeriodInfo;
import com.kingdee.shr.perfweb.app.base.indecator.PerfIndecatorCollection;
import com.kingdee.shr.perfweb.app.base.indecator.PerfIndecatorFactory;
import org.apache.commons.collections4.MultiMap;
import org.apache.commons.collections4.map.MultiValueMap;
import org.apache.log4j.Logger;
import org.springframework.ui.ModelMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.FileInputStream;
import java.io.IOException;
import java.math.BigDecimal;
import java.sql.SQLException;
import java.sql.Timestamp;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.*;

/**
 * Ч_б
 *
 * @Description TODO
 * @Date 2025/2/17 16:22
 * @Created by 30489
 */
public class PerformanProjectTwoDEPListHandler extends DEPCustomBillListHandler {

    //private Properties propt = new Properties();
    //public PerformanProjectTwoDEPListHandler() {
    //    try {
    //        this.propt.load(new FileInputStream(System.getProperty("EAS_HOME") + "/server/properties/hty/configuration.properties"));
    //    } catch (IOException e) {
    //        e.printStackTrace();
    //    }
    //}
    Logger logger = Logger.getLogger("com.kingdee.eas.custom.performanceScoring.handler.PerformanProjectTwoDEPListHandler");

    /**
     * ɼЧ
     *
     * @param request
     * @param response
     * @param modelMap
     * @throws SHRWebException
     * @throws BOSException
     * @throws EASBizException
     */
    public void generateProjectTwoAction(HttpServletRequest request, HttpServletResponse response, ModelMap modelMap) throws Exception {
        Context ctx = SHRContext.getInstance().getContext();
        String start = request.getParameter("start");
        String end = request.getParameter("end");
        String typeName = request.getParameter("typeName");
        //IPerformanceResultFacade iPerformanceResultFacade = PerformanceResultFacadeFactory.getLocalInstance(ctx);
        //Map callService = iPerformanceResultFacade.generateProjectTwo(start, end, typeName);
        //if (callService.get("shrWebBiz") != null) {
        //    throw new ShrWebBizException(callService.get("shrWebBiz").toString());
        //}
        //this.writeSuccessData(callService);

        Class cls = PerformanceResultFacade.class; //ҵ
        String methodName = "generateProjectTwo"; //ҵ񷽷
        Object[] params = new Object[]{start, end, typeName}; //
        MethodWrapper methodWrapper = new MethodWrapper(cls, methodName, params); //װ
        String title = "ɼЧ";
        String descrption = "ɼЧ";
        boolean isPersistent = true; //Ƿ־û¼Ƿݿ⣬Ƿں̨ؿɲѯ־û
        JobDef jobDef = new JobDef(ctx, null, title, descrption, null, null, isPersistent, methodWrapper);//
        String defId = "9afd4999-6155-4387-8928-c64caf2b376fBGJOBDEF"; //ȡidм¼´δʹ
        logger.error("generatePerformanceAction---" + defId);
        Timestamp timestamp = new Timestamp(System.currentTimeMillis() + 5000); //ƻִʱ䣬nullĬӳ10
        com.kingdee.bos.service.job.JobServiceFactory.getLocalInstance(ctx).createJobInstance(defId, params, timestamp);
    }
//    /**
//     * ɼЧ
//     * @param request
//     * @param response
//     * @param modelMap
//     * @throws SHRWebException
//     * @throws BOSException
//     * @throws EASBizException
//     */
//    public void generateProjectTwoAction(HttpServletRequest request, HttpServletResponse response, ModelMap modelMap) throws SHRWebException, BOSException, EASBizException, SQLException, ParseException {
//        String start = request.getParameter("start");
//        String end = request.getParameter("end");
//        String typeName = request.getParameter("typeName");
//        SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd");
//        Date startDate = formatter.parse(start);
//        Date endDate = formatter.parse(end);
//        TimeTypeEunm anEnum = TimeTypeEunm.getEnum(typeName);
//        //ѯid
//        Set<String> set = new HashSet<>();
//        Context ctx = SHRContext.getInstance().getContext();
//        String sql = "select fid id from T_EVA_PerfPeriod where  to_char(FPSTARTDATE, 'yyyy-mm-dd') >= '"+start+"' and to_char(FPENDDATE, 'yyyy-mm-dd') <= '"+end+"'";
//        IRowSet rs = DbUtil.executeQuery(ctx, sql.toString());
//        while (rs.next()){
//            String id = rs.getString("id");
//            set.add(id);
//        }
//        Map<String, String> map = new HashMap<>();
//        map.put("periodids", AtsUtil.convertSetToString(set));
//        String P2 = propt.getProperty("Project2");
//        ProjectTypeCollection projectTypeCollection = ProjectTypeFactory.getLocalInstance(ctx).getProjectTypeCollection("where number = '" + P2 + "'");
//        if (projectTypeCollection.size() ==0){
//            throw new ShrWebBizException("δҵָ"+P2+"飡");
//        }
//        map.put("istype2",P2);
//        Map callService = (Map) OSFAppUtil.callService(ctx, "ProjectEvalruleService", map);
//        Set<Object> setIds = new HashSet<>();
//        for (Object personId : callService.keySet()) {
//            setIds.add(personId);
//        }
//
//        Set<String> setDepIds = new HashSet<>();
//        StringBuffer str = new StringBuffer();
//        str.append("SELECT").append("\n");
//        str.append("pp.FPERSONID personId,").append("\n");
//        str.append("admin.FLAYERTYPEID,").append("\n");
//        str.append("type.fname_l2,").append("\n");
//        str.append("CASE").append("\n");
//        str.append("    WHEN type.fname_l2 = '' THEN pp.FPERSONDEP").append("\n");
//        str.append("    WHEN type.fname_l2 = 'С' THEN admin.FPARENTID").append("\n");
//        str.append("ELSE pp.FPERSONDEP END AS adminID").append("\n");
//        str.append("FROM T_HR_PersonPosition pp").append("\n");
//        str.append("left join T_org_admin admin on pp.FPERSONDEP = admin.fid").append("\n");
//        str.append("left join T_Org_LayerType type on type.fid = admin.FLAYERTYPEID").append("\n");
//        str.append("where pp.FPERSONID in(").append("\n");
//        str.append(AtsUtil.convertSetToString(setIds)).append("\n");
//        str.append(")").append("\n");
//        System.out.println("setDepIds" + setDepIds);
//        IRowSet rowSet = DbUtil.executeQuery(ctx, str.toString());
//        MultiMap listHashMap = new MultiValueMap<>();
//        while (rowSet.next()){
//            String personId = rowSet.getString("personId");
//            //String depPersonId = rowSet.getString("depPersonId");//֯
//            String adminID = rowSet.getString("adminID");
//            setDepIds.add(adminID);
//            List<Object> list = (List)callService.get(personId);
//            listHashMap.put(adminID,list);
//        }
//
//
//        Map<String, String> mapIds = new HashMap<>();
//        StringBuffer stringBuffer = new StringBuffer();
//        stringBuffer.append("SELECT").append("\n");
//        stringBuffer.append("admin.fid adminId,").append("\n");
//        stringBuffer.append("pp.FPERSONID depPersonId").append("\n");
//        stringBuffer.append("FROM T_org_admin admin").append("\n");
//        stringBuffer.append("left join T_HR_PersonPosition pp on admin.FRESPONPOSITIONID = pp.FPRIMARYPOSITIONID").append("\n");
//        stringBuffer.append("where admin.fid in(").append("\n");
//        stringBuffer.append(AtsUtil.convertSetToString(setDepIds)).append("\n");
//        stringBuffer.append(")").append("\n");
//        System.out.println("stringBuffer" + stringBuffer);
//        IRowSet iRowSet = DbUtil.executeQuery(ctx, stringBuffer.toString());
//        while (iRowSet.next()){
//            String depPersonId = iRowSet.getString("depPersonId");//֯
//            String adminID = iRowSet.getString("adminId");
//            setDepIds.add(adminID);
//            mapIds.put(adminID,depPersonId);
//        }
//
//        for (String adminID : setDepIds) {
//            System.out.println(adminID);
//            PerformanProjectTwoInfo info = new PerformanProjectTwoInfo();
//            PersonInfo personInfo = new PersonInfo();
//            AdminOrgUnitInfo adminOrgUnitInfo = new AdminOrgUnitInfo();
//            PerfPeriodInfo perfPeriodInfo = new PerfPeriodInfo();
//            List list = (List) listHashMap.get(adminID);
//            //ҵ֯
//            HROrgUnitInfo hrOrgUnitInfo = new HROrgUnitInfo();
//            hrOrgUnitInfo.setId(BOSUuid.read("00000000-0000-0000-0000-000000000000CCE7AED4"));
//            info.setHrOrgUnit(hrOrgUnitInfo);
//            String billNumber = NumberCodeRule.readCodeRuleNumber(info, NumberCodeRule.getMainOrgByCu(ctx), ctx);
//            info.setNumber(billNumber);
//            info.setTimeType(anEnum);
//            info.setStartDate(startDate);
//            info.setEndDate(endDate);
//            BigDecimal zero = BigDecimal.ZERO;
//            int index = 0;
//            for (int i = 0; i < list.size(); i++) {
//                List mapList = (List) list.get(i);
//                System.out.println("System.out.println(mapListww)"+mapList);
//                for (int j = 0; j < mapList.size(); j++) {
//                    PerformanProjectTwoEntryInfo entry = new PerformanProjectTwoEntryInfo();
//                    ProjectManagementInfo projectManagementInfo = new ProjectManagementInfo();
//                    ProjectRoleInfo projectRoleInfo = new ProjectRoleInfo();
//                    ProjectTypeInfo projectTypeInfo = new ProjectTypeInfo();
//                    PersonInfo perInfo = new PersonInfo();
//                    Map listMap = (Map)mapList.get(j);
//                    String projectId = (String)listMap.get("projectid");
//                    String periodId = (String)listMap.get("periodId");
//                    String roleId = (String)listMap.get("roleId");
//                    String projectTypeId = (String)listMap.get("projectTypeId");//ɫid
//                    String adminid = (String)listMap.get("adminid");
//                    String personId = (String)listMap.get("personId");
//                    BigDecimal projectPerformance = (BigDecimal)listMap.get("projectPerformance") ;//ĿЧ
//                    //BigDecimal singleProject = (BigDecimal)listMap.get("singleProject");//˴Ч
//                    BigDecimal itemWeight = (BigDecimal)listMap.get("itemWeight");//ĿȨ
//                    BigDecimal projectkPicoeff = (BigDecimal)listMap.get("projectkPicoeff");//ĿЧ
//                    if (StringUtils.isNotBlank(adminID)){
//                        adminOrgUnitInfo.setId(BOSUuid.read(adminID));
//
//                    }
//                    perfPeriodInfo.setId(BOSUuid.read(periodId));
//                    projectManagementInfo.setId(BOSUuid.read(projectId));
//                    projectRoleInfo.setId(BOSUuid.read(roleId));
//                    projectTypeInfo.setId(BOSUuid.read(projectTypeId));
//                    perInfo.setId(BOSUuid.read(personId));
//                    if (StringUtils.isNotBlank(adminID)){
//                        String depPersonId = mapIds.get(adminID);
//                        if (StringUtils.isNotBlank(depPersonId)){
//                            personInfo.setId(BOSUuid.read(depPersonId));
//
//                        }
//                    }
////                    String depPersonId = mapIds.get(adminID);
////                    personInfo.setId(BOSUuid.read(depPersonId));
//                    info.setPerson(personInfo);
//                    info.setOrgDep(adminOrgUnitInfo);//id
//                    info.setPerfPlan(perfPeriodInfo);//id
//                    zero = zero.add(itemWeight);
//
//                    if (index == mapList.size() - 1){
//                        zero = zero.divide(BigDecimal.valueOf(mapList.size()));
//                    }
//                    index++;
//                    info.setPerPojectSum(zero);//Ÿϵ
//                    entry.setParticipate(projectManagementInfo);//Ŀid
//                    entry.setPerson(perInfo);//Ŀ
//                    entry.setProjectkPicoeff(projectkPicoeff);//ĿЧ
//                    entry.setProjectRole(projectRoleInfo);//ɫid
//                    entry.setProjectPerformance(projectPerformance);//ĿЧ
//                    entry.setItemWeight(itemWeight);//Ȩ÷
//                    info.getEntrys().add(entry);
//                }
//                PerformanProjectTwoFactory.getLocalInstance(ctx).save(info);
//            }
//        }
//
//        this.writeSuccessData(callService);
//
//    }
}
