package com.kingdee.eas.hr.project.utils;

import java.text.SimpleDateFormat;
import java.util.Date;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.hr.project.IMemberManagement;
import com.kingdee.eas.hr.project.MemberManagementCollection;
import com.kingdee.eas.hr.project.MemberManagementFactory;
import com.kingdee.eas.hr.project.MemberManagementInfo;
import com.kingdee.eas.hr.project.ProjectManagementInfo;
import com.kingdee.eas.hr.project.ProjectRoleFactory;
import com.kingdee.eas.hr.project.ProjectTypeFactory;
import com.kingdee.shr.base.syssetting.BaseItemStateEnum;

public class ProjectManagementUtils {



	/***
	 * ھ͸²ھ
	 * @param ctx
	 * @param getProject
	 * @param bo
	 * @throws BOSException
	 * @throws EASBizException
	 */
	public  static void initMember(Context ctx,ProjectManagementInfo getProject,boolean bo) throws BOSException, EASBizException{
		MemberManagementInfo meInfo = null;
		MemberManagementCollection coll = null;
		if(null==getProject.getProjectManager()){
			return;
		}
		IMemberManagement biz = MemberManagementFactory.getLocalInstance(ctx);
		coll = biz.getMemberManagementCollection(" where projectManagement.id = '"+getProject.getId()+"' "
        		+ "and employee.id = '"+getProject.getProjectManager().getId()+"'");
		System.out.println("initMember:"+" where projectManagement.id = '"+getProject.getId()+"' "
        		+ "and employee.id = '"+getProject.getProjectManager().getId()+"'");
		SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyyMMddHHmmss");
		
        if(coll != null && coll.size() > 0) {
        	meInfo = coll.get(0);
        }else {
            meInfo = new MemberManagementInfo();
            meInfo.setProjectManagement(getProject);
            meInfo.setEmployee(getProject.getProjectManager());
            meInfo.setCU(getProject.getCU());
            meInfo.setHrOrgUnit(getProject.getHrOrgUnit());
            meInfo.setAdminOrg(getProject.getAdminOrg());
            meInfo.setProjectName(getProject.getProjectName());
            meInfo.setProjectCode(getProject.getNumber());
            meInfo.setPtype(ProjectTypeFactory.getLocalInstance(ctx).getProjectTypeInfo("where number = 'ProjectManager'")); //Ŀ
            meInfo.setProjectRole(ProjectRoleFactory.getLocalInstance(ctx).getProjectRoleInfo("where number = 'HTY110'")); //Ŀ
            meInfo.setNumber("auto-"+simpleDateFormat.format(new Date()));
            meInfo.setEmployee(getProject.getProjectManager());
        }
        meInfo.setState(BaseItemStateEnum.DISABLE);
        //
        if(bo) {
        	meInfo.setState(BaseItemStateEnum.ENABLE);
        }
        biz.save(meInfo);


	}
}
