package com.qy.worksheetsystem.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Arrays;
import java.util.Date;
import java.util.Objects;

@Data
public class WorkHoursReportEntry {
    private String workingHours;
    private String projectId;
    //private String projectName;
    private String jobContent;
    @Override
    public boolean equals(Object obj) {

        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        WorkHoursReportEntry person = (WorkHoursReportEntry) obj;
        return Objects.equals(workingHours, person.workingHours)
                && Objects.equals(projectId, person.projectId)&&Objects.equals(jobContent, person.jobContent);
    }

    @Override
    public int hashCode() {
        return Objects.hash(workingHours, projectId,jobContent);
    }
}
