/**
 * 项目变更
 */
shr.defineClass("shr.project.projectChangeEdit",shr.framework.Edit,{
	initalizeDOM : function() {
		shr.project.projectChangeEdit.superClass.initalizeDOM.call(this);
		var _self = this;

		$("#changeProject").shrPromptBox("option", {
		    onchange: function(e, value) {
		        if (!value ||!value.current) {
		            return;
		        }

		        if (value.current.projectName) {
		            $("#oriProName").shrTextField("setValue", value.current.projectName);
		        }

		        if (value.current.number) {
		            $("#oriProCode").shrTextField("setValue", value.current.number);
		        }

		        if (value.current.expectedStartTime) {
		            document.getElementById("oriPlanStartDate").value = value.current.expectedStartTime
		        }

		        if (value.current.expectedEndTime) {
		        	document.getElementById("oriPlanEndDate").value = value.current.expectedEndTime;
		        }

		        if (value.current.totalPersonDays) {
		            console.log(value.current.totalPersonDays+"项目总人天");
		            // var totalPersonDays = parseFloat(value.current.totalPersonDays);
		            $("#oriManDays").shrTextField("setValue", value.current.totalPersonDays);


		        }

		        if (value.current.costAmount) {
		        	
		            $("#oriManDaysCost").shrTextField("setValue", value.current.costAmount);

		        }
		        // 根据实际业务需求，决定是否取消下面这行的注释来调用相应函数
		        // that.getPersonNum(value.current.id);
		    }
		});

	},

	/**
	 * 审核
	 */
	auditAction : function(){
		var that = this;
		shr.showConfirm('是否现在审核？', function() {
			top.Messenger().hideAll();
			that.remoteCall({
				method : "auditPorject",
				param : {
					billId : that.billId
				},
				success : function(data) {
					  // 直接执行成功后的操作，不进行数据判断
                parent.location.reload();
                shr.showSuccess({
                    message: "审核成功！"
                });
                $.block.hide();
				}
			});
		});
	},


	// /**
	//  * 提交
	//  */
	// submitAction : function(){
	// 	var that = this;
	// 	shr.showConfirm('是否现在提交？', function() {
	// 		top.Messenger().hideAll();
	// 		that.remoteCall({
	// 			method : "submitAction",
	// 			param : {
	// 				billId : that.billId
	// 			},
	// 			success : function(data) {
					
	// 				  // 直接执行成功后的操作，不进行数据判断
 //                       parent.location.reload();
 //                       shr.showSuccess({
 //                           message: "提交成功！"
 //                        });
 //                        $.block.hide();
	// 			}
	// 		});
	// 	});
	// },
	
});
















































	