package com.kingdee.eas.custom.integrationsap;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.eas.custom.integrationsap.app.*;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class AdminOrgFinancialCost extends CoreBillBase implements IAdminOrgFinancialCost
{
    public AdminOrgFinancialCost()
    {
        super();
        registerInterface(IAdminOrgFinancialCost.class, this);
    }
    public AdminOrgFinancialCost(Context ctx)
    {
        super(ctx);
        registerInterface(IAdminOrgFinancialCost.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("41C1F44C");
    }
    private AdminOrgFinancialCostController getController() throws BOSException
    {
        return (AdminOrgFinancialCostController)getBizController();
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public AdminOrgFinancialCostCollection getAdminOrgFinancialCostCollection() throws BOSException
    {
        try {
            return getController().getAdminOrgFinancialCostCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public AdminOrgFinancialCostCollection getAdminOrgFinancialCostCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getAdminOrgFinancialCostCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public AdminOrgFinancialCostCollection getAdminOrgFinancialCostCollection(String oql) throws BOSException
    {
        try {
            return getController().getAdminOrgFinancialCostCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public AdminOrgFinancialCostInfo getAdminOrgFinancialCostInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getAdminOrgFinancialCostInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public AdminOrgFinancialCostInfo getAdminOrgFinancialCostInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getAdminOrgFinancialCostInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public AdminOrgFinancialCostInfo getAdminOrgFinancialCostInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getAdminOrgFinancialCostInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}