package com.kingdee.eas.custom.integrationsap;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.custom.integrationsap.app.*;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.framework.DataBase;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.IDataBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class FinancialCost extends DataBase implements IFinancialCost
{
    public FinancialCost()
    {
        super();
        registerInterface(IFinancialCost.class, this);
    }
    public FinancialCost(Context ctx)
    {
        super(ctx);
        registerInterface(IFinancialCost.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("0645F261");
    }
    private FinancialCostController getController() throws BOSException
    {
        return (FinancialCostController)getBizController();
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public FinancialCostInfo getFinancialCostInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getFinancialCostInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public FinancialCostInfo getFinancialCostInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getFinancialCostInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public FinancialCostInfo getFinancialCostInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getFinancialCostInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public FinancialCostCollection getFinancialCostCollection() throws BOSException
    {
        try {
            return getController().getFinancialCostCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public FinancialCostCollection getFinancialCostCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getFinancialCostCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public FinancialCostCollection getFinancialCostCollection(String oql) throws BOSException
    {
        try {
            return getController().getFinancialCostCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}