/**
 * output package name
 */
package com.kingdee.eas.custom.integrationsap.client;

import org.apache.log4j.*;

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.border.*;
import javax.swing.BorderFactory;
import javax.swing.event.*;
import javax.swing.KeyStroke;

import com.kingdee.bos.ctrl.swing.*;
import com.kingdee.bos.ctrl.kdf.table.*;
import com.kingdee.bos.ctrl.kdf.data.event.*;
import com.kingdee.bos.dao.*;
import com.kingdee.bos.dao.query.*;
import com.kingdee.bos.metadata.*;
import com.kingdee.bos.metadata.entity.*;
import com.kingdee.bos.ui.face.*;
import com.kingdee.bos.ui.util.ResourceBundleHelper;
import com.kingdee.bos.util.BOSUuid;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.jdbc.rowset.IRowSet;
import com.kingdee.util.enums.EnumUtils;
import com.kingdee.bos.ui.face.UIRuleUtil;
import com.kingdee.bos.ctrl.swing.event.*;
import com.kingdee.bos.ctrl.kdf.table.event.*;
import com.kingdee.bos.ctrl.extendcontrols.*;
import com.kingdee.bos.ctrl.kdf.util.render.*;
import com.kingdee.bos.ui.face.IItemAction;
import com.kingdee.eas.framework.batchHandler.RequestContext;
import com.kingdee.bos.ui.util.IUIActionPostman;
import com.kingdee.bos.appframework.client.servicebinding.ActionProxyFactory;
import com.kingdee.bos.appframework.uistatemanage.ActionStateConst;
import com.kingdee.bos.appframework.validator.ValidateHelper;
import com.kingdee.bos.appframework.uip.UINavigator;


/**
 * output class name
 */
public abstract class AbstractPayVoucherEditUI extends com.kingdee.eas.framework.client.CoreBillEditUI
{
    private static final Logger logger = CoreUIObject.getLogger(AbstractPayVoucherEditUI.class);
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contCreator;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contCreateTime;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contLastUpdateUser;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contLastUpdateTime;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contNumber;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contBizDate;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contDescription;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contAuditor;
    protected com.kingdee.bos.ctrl.kdf.table.KDTable kdtEntrys;
	protected com.kingdee.eas.framework.client.multiDetail.DetailPanel kdtEntrys_detailPanel = null;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contbukrs;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contbudat;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contbldat;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contblart;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contnumpg;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contbktxt;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contusnam;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contwaers;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contkursf;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contpayStartDate;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contpayEndDate;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contcalScheme;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtCreator;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker kDDateCreateTime;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtLastUpdateUser;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker kDDateLastUpdateTime;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtNumber;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker pkBizDate;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtDescription;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtAuditor;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtbukrs;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker pkbudat;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker pkbldat;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtblart;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtnumpg;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtbktxt;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtusnam;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtwaers;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtkursf;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker pkpayStartDate;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker pkpayEndDate;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtcalScheme;
    protected com.kingdee.eas.custom.integrationsap.PayVoucherInfo editData = null;
    /**
     * output class constructor
     */
    public AbstractPayVoucherEditUI() throws Exception
    {
        super();
        this.defaultObjectName = "editData";
        jbInit();
        
        initUIP();
    }

    /**
     * output jbInit method
     */
    private void jbInit() throws Exception
    {
        this.resHelper = new ResourceBundleHelper(AbstractPayVoucherEditUI.class.getName());
        this.setUITitle(resHelper.getString("this.title"));
        //actionSubmit
        String _tempStr = null;
        actionSubmit.setEnabled(true);
        actionSubmit.setDaemonRun(false);

        actionSubmit.putValue(ItemAction.ACCELERATOR_KEY, KeyStroke.getKeyStroke("ctrl S"));
        _tempStr = resHelper.getString("ActionSubmit.SHORT_DESCRIPTION");
        actionSubmit.putValue(ItemAction.SHORT_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionSubmit.LONG_DESCRIPTION");
        actionSubmit.putValue(ItemAction.LONG_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionSubmit.NAME");
        actionSubmit.putValue(ItemAction.NAME, _tempStr);
        this.actionSubmit.setBindWorkFlow(true);
         this.actionSubmit.addService(new com.kingdee.eas.framework.client.service.PermissionService());
         this.actionSubmit.addService(new com.kingdee.eas.framework.client.service.NetFunctionService());
         this.actionSubmit.addService(new com.kingdee.eas.framework.client.service.UserMonitorService());
        //actionPrint
        actionPrint.setEnabled(true);
        actionPrint.setDaemonRun(false);

        actionPrint.putValue(ItemAction.ACCELERATOR_KEY, KeyStroke.getKeyStroke("ctrl P"));
        _tempStr = resHelper.getString("ActionPrint.SHORT_DESCRIPTION");
        actionPrint.putValue(ItemAction.SHORT_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionPrint.LONG_DESCRIPTION");
        actionPrint.putValue(ItemAction.LONG_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionPrint.NAME");
        actionPrint.putValue(ItemAction.NAME, _tempStr);
         this.actionPrint.addService(new com.kingdee.eas.framework.client.service.PermissionService());
         this.actionPrint.addService(new com.kingdee.eas.framework.client.service.NetFunctionService());
         this.actionPrint.addService(new com.kingdee.eas.framework.client.service.UserMonitorService());
        //actionPrintPreview
        actionPrintPreview.setEnabled(true);
        actionPrintPreview.setDaemonRun(false);

        actionPrintPreview.putValue(ItemAction.ACCELERATOR_KEY, KeyStroke.getKeyStroke("shift ctrl P"));
        _tempStr = resHelper.getString("ActionPrintPreview.SHORT_DESCRIPTION");
        actionPrintPreview.putValue(ItemAction.SHORT_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionPrintPreview.LONG_DESCRIPTION");
        actionPrintPreview.putValue(ItemAction.LONG_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionPrintPreview.NAME");
        actionPrintPreview.putValue(ItemAction.NAME, _tempStr);
         this.actionPrintPreview.addService(new com.kingdee.eas.framework.client.service.PermissionService());
         this.actionPrintPreview.addService(new com.kingdee.eas.framework.client.service.NetFunctionService());
         this.actionPrintPreview.addService(new com.kingdee.eas.framework.client.service.UserMonitorService());
        this.contCreator = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contCreateTime = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contLastUpdateUser = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contLastUpdateTime = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contNumber = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contBizDate = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contDescription = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contAuditor = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.kdtEntrys = new com.kingdee.bos.ctrl.kdf.table.KDTable();
        this.contbukrs = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contbudat = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contbldat = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contblart = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contnumpg = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contbktxt = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contusnam = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contwaers = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contkursf = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contpayStartDate = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contpayEndDate = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contcalScheme = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.prmtCreator = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.kDDateCreateTime = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.prmtLastUpdateUser = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.kDDateLastUpdateTime = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.txtNumber = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.pkBizDate = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.txtDescription = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.prmtAuditor = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.txtbukrs = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.pkbudat = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.pkbldat = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.txtblart = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.txtnumpg = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.txtbktxt = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.txtusnam = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.txtwaers = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.txtkursf = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.pkpayStartDate = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.pkpayEndDate = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.prmtcalScheme = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.contCreator.setName("contCreator");
        this.contCreateTime.setName("contCreateTime");
        this.contLastUpdateUser.setName("contLastUpdateUser");
        this.contLastUpdateTime.setName("contLastUpdateTime");
        this.contNumber.setName("contNumber");
        this.contBizDate.setName("contBizDate");
        this.contDescription.setName("contDescription");
        this.contAuditor.setName("contAuditor");
        this.kdtEntrys.setName("kdtEntrys");
        this.contbukrs.setName("contbukrs");
        this.contbudat.setName("contbudat");
        this.contbldat.setName("contbldat");
        this.contblart.setName("contblart");
        this.contnumpg.setName("contnumpg");
        this.contbktxt.setName("contbktxt");
        this.contusnam.setName("contusnam");
        this.contwaers.setName("contwaers");
        this.contkursf.setName("contkursf");
        this.contpayStartDate.setName("contpayStartDate");
        this.contpayEndDate.setName("contpayEndDate");
        this.contcalScheme.setName("contcalScheme");
        this.prmtCreator.setName("prmtCreator");
        this.kDDateCreateTime.setName("kDDateCreateTime");
        this.prmtLastUpdateUser.setName("prmtLastUpdateUser");
        this.kDDateLastUpdateTime.setName("kDDateLastUpdateTime");
        this.txtNumber.setName("txtNumber");
        this.pkBizDate.setName("pkBizDate");
        this.txtDescription.setName("txtDescription");
        this.prmtAuditor.setName("prmtAuditor");
        this.txtbukrs.setName("txtbukrs");
        this.pkbudat.setName("pkbudat");
        this.pkbldat.setName("pkbldat");
        this.txtblart.setName("txtblart");
        this.txtnumpg.setName("txtnumpg");
        this.txtbktxt.setName("txtbktxt");
        this.txtusnam.setName("txtusnam");
        this.txtwaers.setName("txtwaers");
        this.txtkursf.setName("txtkursf");
        this.pkpayStartDate.setName("pkpayStartDate");
        this.pkpayEndDate.setName("pkpayEndDate");
        this.prmtcalScheme.setName("prmtcalScheme");
        // CoreUI		
        this.btnTraceUp.setVisible(false);		
        this.btnTraceDown.setVisible(false);		
        this.btnCreateTo.setVisible(true);		
        this.btnAddLine.setVisible(false);		
        this.btnCopyLine.setVisible(false);		
        this.btnInsertLine.setVisible(false);		
        this.btnRemoveLine.setVisible(false);		
        this.btnAuditResult.setVisible(false);		
        this.separator1.setVisible(false);		
        this.menuItemCreateTo.setVisible(true);		
        this.separator3.setVisible(false);		
        this.menuItemTraceUp.setVisible(false);		
        this.menuItemTraceDown.setVisible(false);		
        this.menuTable1.setVisible(false);		
        this.menuItemAddLine.setVisible(false);		
        this.menuItemCopyLine.setVisible(false);		
        this.menuItemInsertLine.setVisible(false);		
        this.menuItemRemoveLine.setVisible(false);		
        this.menuItemViewSubmitProccess.setVisible(false);		
        this.menuItemViewDoProccess.setVisible(false);		
        this.menuItemAuditResult.setVisible(false);
        // contCreator		
        this.contCreator.setBoundLabelText(resHelper.getString("contCreator.boundLabelText"));		
        this.contCreator.setBoundLabelLength(100);		
        this.contCreator.setBoundLabelUnderline(true);		
        this.contCreator.setEnabled(false);
        // contCreateTime		
        this.contCreateTime.setBoundLabelText(resHelper.getString("contCreateTime.boundLabelText"));		
        this.contCreateTime.setBoundLabelLength(100);		
        this.contCreateTime.setBoundLabelUnderline(true);		
        this.contCreateTime.setEnabled(false);
        // contLastUpdateUser		
        this.contLastUpdateUser.setBoundLabelText(resHelper.getString("contLastUpdateUser.boundLabelText"));		
        this.contLastUpdateUser.setBoundLabelLength(100);		
        this.contLastUpdateUser.setBoundLabelUnderline(true);		
        this.contLastUpdateUser.setEnabled(false);		
        this.contLastUpdateUser.setVisible(false);
        // contLastUpdateTime		
        this.contLastUpdateTime.setBoundLabelText(resHelper.getString("contLastUpdateTime.boundLabelText"));		
        this.contLastUpdateTime.setBoundLabelLength(100);		
        this.contLastUpdateTime.setBoundLabelUnderline(true);		
        this.contLastUpdateTime.setEnabled(false);		
        this.contLastUpdateTime.setVisible(false);
        // contNumber		
        this.contNumber.setBoundLabelText(resHelper.getString("contNumber.boundLabelText"));		
        this.contNumber.setBoundLabelLength(100);		
        this.contNumber.setBoundLabelUnderline(true);
        // contBizDate		
        this.contBizDate.setBoundLabelText(resHelper.getString("contBizDate.boundLabelText"));		
        this.contBizDate.setBoundLabelLength(100);		
        this.contBizDate.setBoundLabelUnderline(true);		
        this.contBizDate.setBoundLabelAlignment(7);		
        this.contBizDate.setVisible(true);
        // contDescription		
        this.contDescription.setBoundLabelText(resHelper.getString("contDescription.boundLabelText"));		
        this.contDescription.setBoundLabelLength(100);		
        this.contDescription.setBoundLabelUnderline(true);
        // contAuditor		
        this.contAuditor.setBoundLabelText(resHelper.getString("contAuditor.boundLabelText"));		
        this.contAuditor.setBoundLabelLength(100);		
        this.contAuditor.setBoundLabelUnderline(true);
        // kdtEntrys
		String kdtEntrysStrXML = "<?xml version=\"1.0\" encoding=\"UTF-8\"?><DocRoot xmlns:c=\"http://www.kingdee.com/Common\" xmlns:f=\"http://www.kingdee.com/Form\" xmlns:t=\"http://www.kingdee.com/Table\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:schemaLocation=\"http://www.kingdee.com/KDF KDFSchema.xsd\" version=\"0.0\"><Styles><c:Style id=\"sCol0\"><c:Protection hidden=\"true\" /></c:Style><c:Style id=\"sCol11\"><c:NumberFormat>&amp;double</c:NumberFormat></c:Style><c:Style id=\"sCol12\"><c:NumberFormat>&amp;double</c:NumberFormat></c:Style><c:Style id=\"sCol13\"><c:NumberFormat>&amp;double</c:NumberFormat></c:Style><c:Style id=\"sCol14\"><c:NumberFormat>&amp;date</c:NumberFormat></c:Style><c:Style id=\"sCol25\"><c:NumberFormat>&amp;date</c:NumberFormat></c:Style></Styles><Table id=\"KDTable\"><t:Sheet name=\"sheet1\"><t:Table t:selectMode=\"15\" t:mergeMode=\"0\" t:dataRequestMode=\"0\" t:pageRowCount=\"100\"><t:ColumnGroup><t:Column t:key=\"id\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" t:styleID=\"sCol0\" /><t:Column t:key=\"belnr\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"bukrs\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"gjahr\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"buzei\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"bschl\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"hkont\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"umskz\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"kunnr\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"lifnr\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"rstgr\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"wrbtr\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" t:styleID=\"sCol11\" /><t:Column t:key=\"dmbtr\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" t:styleID=\"sCol12\" /><t:Column t:key=\"dmbe2\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" t:styleID=\"sCol13\" /><t:Column t:key=\"zfbdt\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" t:styleID=\"sCol14\" /><t:Column t:key=\"kostl\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"projk\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"aufnr\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"zuonr\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"sgtxt\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"xnegp\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"xref1\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"xref2\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"xref3\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"status\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"syncDateTime\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" t:styleID=\"sCol25\" /><t:Column t:key=\"result\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /></t:ColumnGroup><t:Head><t:Row t:name=\"header\" t:height=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\"><t:Cell>$Resource{id}</t:Cell><t:Cell>$Resource{belnr}</t:Cell><t:Cell>$Resource{bukrs}</t:Cell><t:Cell>$Resource{gjahr}</t:Cell><t:Cell>$Resource{buzei}</t:Cell><t:Cell>$Resource{bschl}</t:Cell><t:Cell>$Resource{hkont}</t:Cell><t:Cell>$Resource{umskz}</t:Cell><t:Cell>$Resource{kunnr}</t:Cell><t:Cell>$Resource{lifnr}</t:Cell><t:Cell>$Resource{rstgr}</t:Cell><t:Cell>$Resource{wrbtr}</t:Cell><t:Cell>$Resource{dmbtr}</t:Cell><t:Cell>$Resource{dmbe2}</t:Cell><t:Cell>$Resource{zfbdt}</t:Cell><t:Cell>$Resource{kostl}</t:Cell><t:Cell>$Resource{projk}</t:Cell><t:Cell>$Resource{aufnr}</t:Cell><t:Cell>$Resource{zuonr}</t:Cell><t:Cell>$Resource{sgtxt}</t:Cell><t:Cell>$Resource{xnegp}</t:Cell><t:Cell>$Resource{xref1}</t:Cell><t:Cell>$Resource{xref2}</t:Cell><t:Cell>$Resource{xref3}</t:Cell><t:Cell>$Resource{status}</t:Cell><t:Cell>$Resource{syncDateTime}</t:Cell><t:Cell>$Resource{result}</t:Cell></t:Row></t:Head></t:Table><t:SheetOptions><t:MergeBlocks><t:Head /></t:MergeBlocks></t:SheetOptions></t:Sheet></Table></DocRoot>";
		
        this.kdtEntrys.setFormatXml(resHelper.translateString("kdtEntrys",kdtEntrysStrXML));

                this.kdtEntrys.putBindContents("editData",new String[] {"id","belnr","bukrs","gjahr","buzei","bschl","hkont","umskz","kunnr","lifnr","rstgr","wrbtr","dmbtr","dmbe2","zfbdt","kostl","projk","aufnr","zuonr","sgtxt","xnegp","xref1","xref2","xref3","status","syncDateTime","result"});


        this.kdtEntrys.checkParsed();
        KDTextField kdtEntrys_belnr_TextField = new KDTextField();
        kdtEntrys_belnr_TextField.setName("kdtEntrys_belnr_TextField");
        kdtEntrys_belnr_TextField.setMaxLength(100);
        KDTDefaultCellEditor kdtEntrys_belnr_CellEditor = new KDTDefaultCellEditor(kdtEntrys_belnr_TextField);
        this.kdtEntrys.getColumn("belnr").setEditor(kdtEntrys_belnr_CellEditor);
        KDTextField kdtEntrys_bukrs_TextField = new KDTextField();
        kdtEntrys_bukrs_TextField.setName("kdtEntrys_bukrs_TextField");
        kdtEntrys_bukrs_TextField.setMaxLength(100);
        KDTDefaultCellEditor kdtEntrys_bukrs_CellEditor = new KDTDefaultCellEditor(kdtEntrys_bukrs_TextField);
        this.kdtEntrys.getColumn("bukrs").setEditor(kdtEntrys_bukrs_CellEditor);
        KDTextField kdtEntrys_gjahr_TextField = new KDTextField();
        kdtEntrys_gjahr_TextField.setName("kdtEntrys_gjahr_TextField");
        kdtEntrys_gjahr_TextField.setMaxLength(100);
        KDTDefaultCellEditor kdtEntrys_gjahr_CellEditor = new KDTDefaultCellEditor(kdtEntrys_gjahr_TextField);
        this.kdtEntrys.getColumn("gjahr").setEditor(kdtEntrys_gjahr_CellEditor);
        KDTextField kdtEntrys_buzei_TextField = new KDTextField();
        kdtEntrys_buzei_TextField.setName("kdtEntrys_buzei_TextField");
        kdtEntrys_buzei_TextField.setMaxLength(100);
        KDTDefaultCellEditor kdtEntrys_buzei_CellEditor = new KDTDefaultCellEditor(kdtEntrys_buzei_TextField);
        this.kdtEntrys.getColumn("buzei").setEditor(kdtEntrys_buzei_CellEditor);
        KDTextField kdtEntrys_bschl_TextField = new KDTextField();
        kdtEntrys_bschl_TextField.setName("kdtEntrys_bschl_TextField");
        kdtEntrys_bschl_TextField.setMaxLength(100);
        KDTDefaultCellEditor kdtEntrys_bschl_CellEditor = new KDTDefaultCellEditor(kdtEntrys_bschl_TextField);
        this.kdtEntrys.getColumn("bschl").setEditor(kdtEntrys_bschl_CellEditor);
        KDTextField kdtEntrys_hkont_TextField = new KDTextField();
        kdtEntrys_hkont_TextField.setName("kdtEntrys_hkont_TextField");
        kdtEntrys_hkont_TextField.setMaxLength(100);
        KDTDefaultCellEditor kdtEntrys_hkont_CellEditor = new KDTDefaultCellEditor(kdtEntrys_hkont_TextField);
        this.kdtEntrys.getColumn("hkont").setEditor(kdtEntrys_hkont_CellEditor);
        KDTextField kdtEntrys_umskz_TextField = new KDTextField();
        kdtEntrys_umskz_TextField.setName("kdtEntrys_umskz_TextField");
        kdtEntrys_umskz_TextField.setMaxLength(100);
        KDTDefaultCellEditor kdtEntrys_umskz_CellEditor = new KDTDefaultCellEditor(kdtEntrys_umskz_TextField);
        this.kdtEntrys.getColumn("umskz").setEditor(kdtEntrys_umskz_CellEditor);
        KDTextField kdtEntrys_kunnr_TextField = new KDTextField();
        kdtEntrys_kunnr_TextField.setName("kdtEntrys_kunnr_TextField");
        kdtEntrys_kunnr_TextField.setMaxLength(100);
        KDTDefaultCellEditor kdtEntrys_kunnr_CellEditor = new KDTDefaultCellEditor(kdtEntrys_kunnr_TextField);
        this.kdtEntrys.getColumn("kunnr").setEditor(kdtEntrys_kunnr_CellEditor);
        KDTextField kdtEntrys_lifnr_TextField = new KDTextField();
        kdtEntrys_lifnr_TextField.setName("kdtEntrys_lifnr_TextField");
        kdtEntrys_lifnr_TextField.setMaxLength(100);
        KDTDefaultCellEditor kdtEntrys_lifnr_CellEditor = new KDTDefaultCellEditor(kdtEntrys_lifnr_TextField);
        this.kdtEntrys.getColumn("lifnr").setEditor(kdtEntrys_lifnr_CellEditor);
        KDTextField kdtEntrys_rstgr_TextField = new KDTextField();
        kdtEntrys_rstgr_TextField.setName("kdtEntrys_rstgr_TextField");
        kdtEntrys_rstgr_TextField.setMaxLength(100);
        KDTDefaultCellEditor kdtEntrys_rstgr_CellEditor = new KDTDefaultCellEditor(kdtEntrys_rstgr_TextField);
        this.kdtEntrys.getColumn("rstgr").setEditor(kdtEntrys_rstgr_CellEditor);
        KDFormattedTextField kdtEntrys_wrbtr_TextField = new KDFormattedTextField();
        kdtEntrys_wrbtr_TextField.setName("kdtEntrys_wrbtr_TextField");
        kdtEntrys_wrbtr_TextField.setVisible(true);
        kdtEntrys_wrbtr_TextField.setEditable(true);
        kdtEntrys_wrbtr_TextField.setHorizontalAlignment(2);
        kdtEntrys_wrbtr_TextField.setDataType(1);
        	kdtEntrys_wrbtr_TextField.setMinimumValue(new java.math.BigDecimal("-1.0E18"));
        	kdtEntrys_wrbtr_TextField.setMaximumValue(new java.math.BigDecimal("1.0E18"));
        kdtEntrys_wrbtr_TextField.setPrecision(10);
        KDTDefaultCellEditor kdtEntrys_wrbtr_CellEditor = new KDTDefaultCellEditor(kdtEntrys_wrbtr_TextField);
        this.kdtEntrys.getColumn("wrbtr").setEditor(kdtEntrys_wrbtr_CellEditor);
        KDFormattedTextField kdtEntrys_dmbtr_TextField = new KDFormattedTextField();
        kdtEntrys_dmbtr_TextField.setName("kdtEntrys_dmbtr_TextField");
        kdtEntrys_dmbtr_TextField.setVisible(true);
        kdtEntrys_dmbtr_TextField.setEditable(true);
        kdtEntrys_dmbtr_TextField.setHorizontalAlignment(2);
        kdtEntrys_dmbtr_TextField.setDataType(1);
        	kdtEntrys_dmbtr_TextField.setMinimumValue(new java.math.BigDecimal("-1.0E18"));
        	kdtEntrys_dmbtr_TextField.setMaximumValue(new java.math.BigDecimal("1.0E18"));
        kdtEntrys_dmbtr_TextField.setPrecision(10);
        KDTDefaultCellEditor kdtEntrys_dmbtr_CellEditor = new KDTDefaultCellEditor(kdtEntrys_dmbtr_TextField);
        this.kdtEntrys.getColumn("dmbtr").setEditor(kdtEntrys_dmbtr_CellEditor);
        KDFormattedTextField kdtEntrys_dmbe2_TextField = new KDFormattedTextField();
        kdtEntrys_dmbe2_TextField.setName("kdtEntrys_dmbe2_TextField");
        kdtEntrys_dmbe2_TextField.setVisible(true);
        kdtEntrys_dmbe2_TextField.setEditable(true);
        kdtEntrys_dmbe2_TextField.setHorizontalAlignment(2);
        kdtEntrys_dmbe2_TextField.setDataType(1);
        	kdtEntrys_dmbe2_TextField.setMinimumValue(new java.math.BigDecimal("-1.0E18"));
        	kdtEntrys_dmbe2_TextField.setMaximumValue(new java.math.BigDecimal("1.0E18"));
        kdtEntrys_dmbe2_TextField.setPrecision(10);
        KDTDefaultCellEditor kdtEntrys_dmbe2_CellEditor = new KDTDefaultCellEditor(kdtEntrys_dmbe2_TextField);
        this.kdtEntrys.getColumn("dmbe2").setEditor(kdtEntrys_dmbe2_CellEditor);
        KDDatePicker kdtEntrys_zfbdt_DatePicker = new KDDatePicker();
        kdtEntrys_zfbdt_DatePicker.setName("kdtEntrys_zfbdt_DatePicker");
        kdtEntrys_zfbdt_DatePicker.setVisible(true);
        kdtEntrys_zfbdt_DatePicker.setEditable(true);
        KDTDefaultCellEditor kdtEntrys_zfbdt_CellEditor = new KDTDefaultCellEditor(kdtEntrys_zfbdt_DatePicker);
        this.kdtEntrys.getColumn("zfbdt").setEditor(kdtEntrys_zfbdt_CellEditor);
        final KDBizPromptBox kdtEntrys_kostl_PromptBox = new KDBizPromptBox();
        kdtEntrys_kostl_PromptBox.setQueryInfo("com.kingdee.eas.basedata.org.app.AdminItemQuery");
        kdtEntrys_kostl_PromptBox.setVisible(true);
        kdtEntrys_kostl_PromptBox.setEditable(true);
        kdtEntrys_kostl_PromptBox.setDisplayFormat("$number$");
        kdtEntrys_kostl_PromptBox.setEditFormat("$number$");
        kdtEntrys_kostl_PromptBox.setCommitFormat("$number$");
        KDTDefaultCellEditor kdtEntrys_kostl_CellEditor = new KDTDefaultCellEditor(kdtEntrys_kostl_PromptBox);
        this.kdtEntrys.getColumn("kostl").setEditor(kdtEntrys_kostl_CellEditor);
        ObjectValueRender kdtEntrys_kostl_OVR = new ObjectValueRender();
        kdtEntrys_kostl_OVR.setFormat(new BizDataFormat("$name$"));
        this.kdtEntrys.getColumn("kostl").setRenderer(kdtEntrys_kostl_OVR);
        KDTextField kdtEntrys_projk_TextField = new KDTextField();
        kdtEntrys_projk_TextField.setName("kdtEntrys_projk_TextField");
        kdtEntrys_projk_TextField.setMaxLength(100);
        KDTDefaultCellEditor kdtEntrys_projk_CellEditor = new KDTDefaultCellEditor(kdtEntrys_projk_TextField);
        this.kdtEntrys.getColumn("projk").setEditor(kdtEntrys_projk_CellEditor);
        KDTextField kdtEntrys_aufnr_TextField = new KDTextField();
        kdtEntrys_aufnr_TextField.setName("kdtEntrys_aufnr_TextField");
        kdtEntrys_aufnr_TextField.setMaxLength(100);
        KDTDefaultCellEditor kdtEntrys_aufnr_CellEditor = new KDTDefaultCellEditor(kdtEntrys_aufnr_TextField);
        this.kdtEntrys.getColumn("aufnr").setEditor(kdtEntrys_aufnr_CellEditor);
        KDTextField kdtEntrys_zuonr_TextField = new KDTextField();
        kdtEntrys_zuonr_TextField.setName("kdtEntrys_zuonr_TextField");
        kdtEntrys_zuonr_TextField.setMaxLength(100);
        KDTDefaultCellEditor kdtEntrys_zuonr_CellEditor = new KDTDefaultCellEditor(kdtEntrys_zuonr_TextField);
        this.kdtEntrys.getColumn("zuonr").setEditor(kdtEntrys_zuonr_CellEditor);
        KDTextField kdtEntrys_sgtxt_TextField = new KDTextField();
        kdtEntrys_sgtxt_TextField.setName("kdtEntrys_sgtxt_TextField");
        kdtEntrys_sgtxt_TextField.setMaxLength(100);
        KDTDefaultCellEditor kdtEntrys_sgtxt_CellEditor = new KDTDefaultCellEditor(kdtEntrys_sgtxt_TextField);
        this.kdtEntrys.getColumn("sgtxt").setEditor(kdtEntrys_sgtxt_CellEditor);
        KDTextField kdtEntrys_xnegp_TextField = new KDTextField();
        kdtEntrys_xnegp_TextField.setName("kdtEntrys_xnegp_TextField");
        kdtEntrys_xnegp_TextField.setMaxLength(100);
        KDTDefaultCellEditor kdtEntrys_xnegp_CellEditor = new KDTDefaultCellEditor(kdtEntrys_xnegp_TextField);
        this.kdtEntrys.getColumn("xnegp").setEditor(kdtEntrys_xnegp_CellEditor);
        KDTextField kdtEntrys_xref1_TextField = new KDTextField();
        kdtEntrys_xref1_TextField.setName("kdtEntrys_xref1_TextField");
        kdtEntrys_xref1_TextField.setMaxLength(100);
        KDTDefaultCellEditor kdtEntrys_xref1_CellEditor = new KDTDefaultCellEditor(kdtEntrys_xref1_TextField);
        this.kdtEntrys.getColumn("xref1").setEditor(kdtEntrys_xref1_CellEditor);
        KDTextField kdtEntrys_xref2_TextField = new KDTextField();
        kdtEntrys_xref2_TextField.setName("kdtEntrys_xref2_TextField");
        kdtEntrys_xref2_TextField.setMaxLength(100);
        KDTDefaultCellEditor kdtEntrys_xref2_CellEditor = new KDTDefaultCellEditor(kdtEntrys_xref2_TextField);
        this.kdtEntrys.getColumn("xref2").setEditor(kdtEntrys_xref2_CellEditor);
        KDTextField kdtEntrys_xref3_TextField = new KDTextField();
        kdtEntrys_xref3_TextField.setName("kdtEntrys_xref3_TextField");
        kdtEntrys_xref3_TextField.setMaxLength(100);
        KDTDefaultCellEditor kdtEntrys_xref3_CellEditor = new KDTDefaultCellEditor(kdtEntrys_xref3_TextField);
        this.kdtEntrys.getColumn("xref3").setEditor(kdtEntrys_xref3_CellEditor);
        KDTextField kdtEntrys_status_TextField = new KDTextField();
        kdtEntrys_status_TextField.setName("kdtEntrys_status_TextField");
        kdtEntrys_status_TextField.setMaxLength(100);
        KDTDefaultCellEditor kdtEntrys_status_CellEditor = new KDTDefaultCellEditor(kdtEntrys_status_TextField);
        this.kdtEntrys.getColumn("status").setEditor(kdtEntrys_status_CellEditor);
        KDDatePicker kdtEntrys_syncDateTime_DatePicker = new KDDatePicker();
        kdtEntrys_syncDateTime_DatePicker.setName("kdtEntrys_syncDateTime_DatePicker");
        kdtEntrys_syncDateTime_DatePicker.setVisible(true);
        kdtEntrys_syncDateTime_DatePicker.setEditable(true);
        KDTDefaultCellEditor kdtEntrys_syncDateTime_CellEditor = new KDTDefaultCellEditor(kdtEntrys_syncDateTime_DatePicker);
        this.kdtEntrys.getColumn("syncDateTime").setEditor(kdtEntrys_syncDateTime_CellEditor);
        KDTextField kdtEntrys_result_TextField = new KDTextField();
        kdtEntrys_result_TextField.setName("kdtEntrys_result_TextField");
        kdtEntrys_result_TextField.setMaxLength(100);
        KDTDefaultCellEditor kdtEntrys_result_CellEditor = new KDTDefaultCellEditor(kdtEntrys_result_TextField);
        this.kdtEntrys.getColumn("result").setEditor(kdtEntrys_result_CellEditor);
        // contbukrs		
        this.contbukrs.setBoundLabelText(resHelper.getString("contbukrs.boundLabelText"));		
        this.contbukrs.setBoundLabelLength(100);		
        this.contbukrs.setBoundLabelUnderline(true);		
        this.contbukrs.setVisible(true);
        // contbudat		
        this.contbudat.setBoundLabelText(resHelper.getString("contbudat.boundLabelText"));		
        this.contbudat.setBoundLabelLength(100);		
        this.contbudat.setBoundLabelUnderline(true);		
        this.contbudat.setVisible(true);
        // contbldat		
        this.contbldat.setBoundLabelText(resHelper.getString("contbldat.boundLabelText"));		
        this.contbldat.setBoundLabelLength(100);		
        this.contbldat.setBoundLabelUnderline(true);		
        this.contbldat.setVisible(true);
        // contblart		
        this.contblart.setBoundLabelText(resHelper.getString("contblart.boundLabelText"));		
        this.contblart.setBoundLabelLength(100);		
        this.contblart.setBoundLabelUnderline(true);		
        this.contblart.setVisible(true);
        // contnumpg		
        this.contnumpg.setBoundLabelText(resHelper.getString("contnumpg.boundLabelText"));		
        this.contnumpg.setBoundLabelLength(100);		
        this.contnumpg.setBoundLabelUnderline(true);		
        this.contnumpg.setVisible(true);
        // contbktxt		
        this.contbktxt.setBoundLabelText(resHelper.getString("contbktxt.boundLabelText"));		
        this.contbktxt.setBoundLabelLength(100);		
        this.contbktxt.setBoundLabelUnderline(true);		
        this.contbktxt.setVisible(true);
        // contusnam		
        this.contusnam.setBoundLabelText(resHelper.getString("contusnam.boundLabelText"));		
        this.contusnam.setBoundLabelLength(100);		
        this.contusnam.setBoundLabelUnderline(true);		
        this.contusnam.setVisible(true);
        // contwaers		
        this.contwaers.setBoundLabelText(resHelper.getString("contwaers.boundLabelText"));		
        this.contwaers.setBoundLabelLength(100);		
        this.contwaers.setBoundLabelUnderline(true);		
        this.contwaers.setVisible(true);
        // contkursf		
        this.contkursf.setBoundLabelText(resHelper.getString("contkursf.boundLabelText"));		
        this.contkursf.setBoundLabelLength(100);		
        this.contkursf.setBoundLabelUnderline(true);		
        this.contkursf.setVisible(true);
        // contpayStartDate		
        this.contpayStartDate.setBoundLabelText(resHelper.getString("contpayStartDate.boundLabelText"));		
        this.contpayStartDate.setBoundLabelLength(100);		
        this.contpayStartDate.setBoundLabelUnderline(true);		
        this.contpayStartDate.setVisible(true);
        // contpayEndDate		
        this.contpayEndDate.setBoundLabelText(resHelper.getString("contpayEndDate.boundLabelText"));		
        this.contpayEndDate.setBoundLabelLength(100);		
        this.contpayEndDate.setBoundLabelUnderline(true);		
        this.contpayEndDate.setVisible(true);
        // contcalScheme		
        this.contcalScheme.setBoundLabelText(resHelper.getString("contcalScheme.boundLabelText"));		
        this.contcalScheme.setBoundLabelLength(100);		
        this.contcalScheme.setBoundLabelUnderline(true);		
        this.contcalScheme.setVisible(true);
        // prmtCreator		
        this.prmtCreator.setEnabled(false);
        // kDDateCreateTime		
        this.kDDateCreateTime.setTimeEnabled(true);		
        this.kDDateCreateTime.setEnabled(false);
        // prmtLastUpdateUser		
        this.prmtLastUpdateUser.setEnabled(false);
        // kDDateLastUpdateTime		
        this.kDDateLastUpdateTime.setTimeEnabled(true);		
        this.kDDateLastUpdateTime.setEnabled(false);
        // txtNumber		
        this.txtNumber.setMaxLength(80);
        // pkBizDate		
        this.pkBizDate.setVisible(true);		
        this.pkBizDate.setEnabled(true);
        // txtDescription		
        this.txtDescription.setMaxLength(80);
        // prmtAuditor		
        this.prmtAuditor.setEnabled(false);
        // txtbukrs		
        this.txtbukrs.setVisible(true);		
        this.txtbukrs.setHorizontalAlignment(2);		
        this.txtbukrs.setMaxLength(100);		
        this.txtbukrs.setRequired(false);
        // pkbudat		
        this.pkbudat.setVisible(true);		
        this.pkbudat.setRequired(false);
        // pkbldat		
        this.pkbldat.setVisible(true);		
        this.pkbldat.setRequired(false);
        // txtblart		
        this.txtblart.setVisible(true);		
        this.txtblart.setHorizontalAlignment(2);		
        this.txtblart.setMaxLength(100);		
        this.txtblart.setRequired(false);
        // txtnumpg		
        this.txtnumpg.setVisible(true);		
        this.txtnumpg.setHorizontalAlignment(2);		
        this.txtnumpg.setDataType(0);		
        this.txtnumpg.setSupportedEmpty(true);		
        this.txtnumpg.setRequired(false);
        // txtbktxt		
        this.txtbktxt.setVisible(true);		
        this.txtbktxt.setHorizontalAlignment(2);		
        this.txtbktxt.setMaxLength(100);		
        this.txtbktxt.setRequired(false);
        // txtusnam		
        this.txtusnam.setVisible(true);		
        this.txtusnam.setHorizontalAlignment(2);		
        this.txtusnam.setMaxLength(100);		
        this.txtusnam.setRequired(false);
        // txtwaers		
        this.txtwaers.setVisible(true);		
        this.txtwaers.setHorizontalAlignment(2);		
        this.txtwaers.setMaxLength(100);		
        this.txtwaers.setRequired(false);
        // txtkursf		
        this.txtkursf.setVisible(true);		
        this.txtkursf.setHorizontalAlignment(2);		
        this.txtkursf.setDataType(1);		
        this.txtkursf.setSupportedEmpty(true);		
        this.txtkursf.setMinimumValue( new java.math.BigDecimal("-1.0E18"));		
        this.txtkursf.setMaximumValue( new java.math.BigDecimal("1.0E18"));		
        this.txtkursf.setPrecision(2);		
        this.txtkursf.setRequired(false);
        // pkpayStartDate		
        this.pkpayStartDate.setVisible(true);		
        this.pkpayStartDate.setRequired(false);
        // pkpayEndDate		
        this.pkpayEndDate.setVisible(true);		
        this.pkpayEndDate.setRequired(false);
        // prmtcalScheme		
        this.prmtcalScheme.setQueryInfo("com.kingdee.eas.basedata.org.app.AdminItemQuery");		
        this.prmtcalScheme.setVisible(true);		
        this.prmtcalScheme.setEditable(true);		
        this.prmtcalScheme.setDisplayFormat("$isEntity$");		
        this.prmtcalScheme.setEditFormat("$number$");		
        this.prmtcalScheme.setCommitFormat("$number$");		
        this.prmtcalScheme.setRequired(false);
        this.setFocusTraversalPolicy(new com.kingdee.bos.ui.UIFocusTraversalPolicy(new java.awt.Component[] {txtbukrs,pkbudat,pkbldat,txtblart,txtnumpg,txtbktxt,txtusnam,txtwaers,txtkursf,pkpayStartDate,pkpayEndDate,prmtcalScheme}));
        this.setFocusCycleRoot(true);
		//Register control's property binding
		registerBindings();
		registerUIState();


    }

	public com.kingdee.bos.ctrl.swing.KDToolBar[] getUIMultiToolBar(){
		java.util.List list = new java.util.ArrayList();
		com.kingdee.bos.ctrl.swing.KDToolBar[] bars = super.getUIMultiToolBar();
		if (bars != null) {
			list.addAll(java.util.Arrays.asList(bars));
		}
		return (com.kingdee.bos.ctrl.swing.KDToolBar[])list.toArray(new com.kingdee.bos.ctrl.swing.KDToolBar[list.size()]);
	}




    /**
     * output initUIContentLayout method
     */
    public void initUIContentLayout()
    {
        this.setBounds(new Rectangle(0, 0, 1013, 629));
        this.setLayout(null);
        contCreator.setBounds(new Rectangle(440, 524, 270, 19));
        this.add(contCreator, null);
        contCreateTime.setBounds(new Rectangle(730, 524, 270, 19));
        this.add(contCreateTime, null);
        contLastUpdateUser.setBounds(new Rectangle(440, 555, 270, 19));
        this.add(contLastUpdateUser, null);
        contLastUpdateTime.setBounds(new Rectangle(730, 555, 270, 19));
        this.add(contLastUpdateTime, null);
        contNumber.setBounds(new Rectangle(728, 26, 270, 19));
        this.add(contNumber, null);
        contBizDate.setBounds(new Rectangle(350, 66, 270, 19));
        this.add(contBizDate, null);
        contDescription.setBounds(new Rectangle(728, 66, 270, 19));
        this.add(contDescription, null);
        contAuditor.setBounds(new Rectangle(15, 528, 270, 19));
        this.add(contAuditor, null);
        kdtEntrys.setBounds(new Rectangle(12, 99, 991, 413));
        kdtEntrys_detailPanel = (com.kingdee.eas.framework.client.multiDetail.DetailPanel)com.kingdee.eas.framework.client.multiDetail.HMDUtils.buildDetail(this,dataBinder,kdtEntrys,new com.kingdee.eas.custom.integrationsap.PayVoucherEntryInfo(),null,false);
        this.add(kdtEntrys_detailPanel, null);
        contbukrs.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contbukrs, null);
        contbudat.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contbudat, null);
        contbldat.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contbldat, null);
        contblart.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contblart, null);
        contnumpg.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contnumpg, null);
        contbktxt.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contbktxt, null);
        contusnam.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contusnam, null);
        contwaers.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contwaers, null);
        contkursf.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contkursf, null);
        contpayStartDate.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contpayStartDate, null);
        contpayEndDate.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contpayEndDate, null);
        contcalScheme.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contcalScheme, null);
        //contCreator
        contCreator.setBoundEditor(prmtCreator);
        //contCreateTime
        contCreateTime.setBoundEditor(kDDateCreateTime);
        //contLastUpdateUser
        contLastUpdateUser.setBoundEditor(prmtLastUpdateUser);
        //contLastUpdateTime
        contLastUpdateTime.setBoundEditor(kDDateLastUpdateTime);
        //contNumber
        contNumber.setBoundEditor(txtNumber);
        //contBizDate
        contBizDate.setBoundEditor(pkBizDate);
        //contDescription
        contDescription.setBoundEditor(txtDescription);
        //contAuditor
        contAuditor.setBoundEditor(prmtAuditor);
        //contbukrs
        contbukrs.setBoundEditor(txtbukrs);
        //contbudat
        contbudat.setBoundEditor(pkbudat);
        //contbldat
        contbldat.setBoundEditor(pkbldat);
        //contblart
        contblart.setBoundEditor(txtblart);
        //contnumpg
        contnumpg.setBoundEditor(txtnumpg);
        //contbktxt
        contbktxt.setBoundEditor(txtbktxt);
        //contusnam
        contusnam.setBoundEditor(txtusnam);
        //contwaers
        contwaers.setBoundEditor(txtwaers);
        //contkursf
        contkursf.setBoundEditor(txtkursf);
        //contpayStartDate
        contpayStartDate.setBoundEditor(pkpayStartDate);
        //contpayEndDate
        contpayEndDate.setBoundEditor(pkpayEndDate);
        //contcalScheme
        contcalScheme.setBoundEditor(prmtcalScheme);

    }


    /**
     * output initUIMenuBarLayout method
     */
    public void initUIMenuBarLayout()
    {
        this.menuBar.add(menuFile);
        this.menuBar.add(menuEdit);
        this.menuBar.add(MenuService);
        this.menuBar.add(menuView);
        this.menuBar.add(menuBiz);
        this.menuBar.add(menuTable1);
        this.menuBar.add(menuTool);
        this.menuBar.add(menuWorkflow);
        this.menuBar.add(menuHelp);
        //menuFile
        menuFile.add(menuItemAddNew);
        menuFile.add(kDSeparator1);
        menuFile.add(menuItemCloudFeed);
        menuFile.add(menuItemSave);
        menuFile.add(menuItemCloudScreen);
        menuFile.add(menuItemSubmit);
        menuFile.add(menuItemCloudShare);
        menuFile.add(menuSubmitOption);
        menuFile.add(kdSeparatorFWFile1);
        menuFile.add(rMenuItemSubmit);
        menuFile.add(rMenuItemSubmitAndAddNew);
        menuFile.add(rMenuItemSubmitAndPrint);
        menuFile.add(separatorFile1);
        menuFile.add(MenuItemAttachment);
        menuFile.add(kDSeparator2);
        menuFile.add(menuItemPageSetup);
        menuFile.add(menuItemPrint);
        menuFile.add(menuItemPrintPreview);
        menuFile.add(kDSeparator6);
        menuFile.add(menuItemSendMail);
        menuFile.add(kDSeparator3);
        menuFile.add(menuItemExitCurrent);
        //menuSubmitOption
        menuSubmitOption.add(chkMenuItemSubmitAndAddNew);
        menuSubmitOption.add(chkMenuItemSubmitAndPrint);
        //menuEdit
        menuEdit.add(menuItemCopy);
        menuEdit.add(menuItemEdit);
        menuEdit.add(menuItemRemove);
        menuEdit.add(kDSeparator4);
        menuEdit.add(menuItemReset);
        menuEdit.add(separator1);
        menuEdit.add(menuItemCreateFrom);
        menuEdit.add(menuItemCreateTo);
        menuEdit.add(menuItemCopyFrom);
        menuEdit.add(separatorEdit1);
        menuEdit.add(menuItemEnterToNextRow);
        menuEdit.add(separator2);
        //MenuService
        MenuService.add(MenuItemKnowStore);
        MenuService.add(MenuItemAnwser);
        MenuService.add(SepratorService);
        MenuService.add(MenuItemRemoteAssist);
        //menuView
        menuView.add(menuItemFirst);
        menuView.add(menuItemPre);
        menuView.add(menuItemNext);
        menuView.add(menuItemLast);
        menuView.add(separator3);
        menuView.add(menuItemTraceUp);
        menuView.add(menuItemTraceDown);
        menuView.add(kDSeparator7);
        menuView.add(menuItemLocate);
        //menuBiz
        menuBiz.add(menuItemCancelCancel);
        menuBiz.add(menuItemCancel);
        menuBiz.add(MenuItemVoucher);
        menuBiz.add(menuItemDelVoucher);
        menuBiz.add(MenuItemPCVoucher);
        menuBiz.add(menuItemDelPCVoucher);
        //menuTable1
        menuTable1.add(menuItemAddLine);
        menuTable1.add(menuItemCopyLine);
        menuTable1.add(menuItemInsertLine);
        menuTable1.add(menuItemRemoveLine);
        //menuTool
        menuTool.add(menuItemSendMessage);
        menuTool.add(menuItemMsgFormat);
        menuTool.add(menuItemCalculator);
        menuTool.add(menuItemToolBarCustom);
        //menuWorkflow
        menuWorkflow.add(menuItemStartWorkFlow);
        menuWorkflow.add(separatorWF1);
        menuWorkflow.add(menuItemViewSubmitProccess);
        menuWorkflow.add(menuItemViewDoProccess);
        menuWorkflow.add(MenuItemWFG);
        menuWorkflow.add(menuItemWorkFlowList);
        menuWorkflow.add(separatorWF2);
        menuWorkflow.add(menuItemMultiapprove);
        menuWorkflow.add(menuItemNextPerson);
        menuWorkflow.add(menuItemAuditResult);
        menuWorkflow.add(kDSeparator5);
        menuWorkflow.add(kDMenuItemSendMessage);
        //menuHelp
        menuHelp.add(menuItemHelp);
        menuHelp.add(kDSeparator12);
        menuHelp.add(menuItemRegPro);
        menuHelp.add(menuItemPersonalSite);
        menuHelp.add(helpseparatorDiv);
        menuHelp.add(menuitemProductval);
        menuHelp.add(kDSeparatorProduct);
        menuHelp.add(menuItemAbout);

    }

    /**
     * output initUIToolBarLayout method
     */
    public void initUIToolBarLayout()
    {
        this.toolBar.add(btnAddNew);
        this.toolBar.add(btnCloud);
        this.toolBar.add(btnEdit);
        this.toolBar.add(btnXunTong);
        this.toolBar.add(btnSave);
        this.toolBar.add(kDSeparatorCloud);
        this.toolBar.add(btnReset);
        this.toolBar.add(btnSubmit);
        this.toolBar.add(btnCopy);
        this.toolBar.add(btnRemove);
        this.toolBar.add(btnCancelCancel);
        this.toolBar.add(btnCancel);
        this.toolBar.add(btnAttachment);
        this.toolBar.add(separatorFW1);
        this.toolBar.add(btnPageSetup);
        this.toolBar.add(btnPrint);
        this.toolBar.add(btnPrintPreview);
        this.toolBar.add(separatorFW2);
        this.toolBar.add(btnFirst);
        this.toolBar.add(btnPre);
        this.toolBar.add(btnNext);
        this.toolBar.add(btnLast);
        this.toolBar.add(separatorFW3);
        this.toolBar.add(btnTraceUp);
        this.toolBar.add(btnTraceDown);
        this.toolBar.add(btnWorkFlowG);
        this.toolBar.add(btnSignature);
        this.toolBar.add(btnViewSignature);
        this.toolBar.add(separatorFW4);
        this.toolBar.add(btnNumberSign);
        this.toolBar.add(separatorFW7);
        this.toolBar.add(btnCreateFrom);
        this.toolBar.add(btnCopyFrom);
        this.toolBar.add(btnCreateTo);
        this.toolBar.add(separatorFW5);
        this.toolBar.add(separatorFW8);
        this.toolBar.add(btnAddLine);
        this.toolBar.add(btnCopyLine);
        this.toolBar.add(btnInsertLine);
        this.toolBar.add(btnRemoveLine);
        this.toolBar.add(separatorFW6);
        this.toolBar.add(separatorFW9);
        this.toolBar.add(btnVoucher);
        this.toolBar.add(btnDelVoucher);
        this.toolBar.add(btnPCVoucher);
        this.toolBar.add(btnDelPCVoucher);
        this.toolBar.add(btnAuditResult);
        this.toolBar.add(btnMultiapprove);
        this.toolBar.add(btnWFViewdoProccess);
        this.toolBar.add(btnWFViewSubmitProccess);
        this.toolBar.add(btnNextPerson);


    }

	//Regiester control's property binding.
	private void registerBindings(){
		dataBinder.registerBinding("entrys.id", com.kingdee.bos.util.BOSUuid.class, this.kdtEntrys, "id.text");
		dataBinder.registerBinding("entrys", com.kingdee.eas.custom.integrationsap.PayVoucherEntryInfo.class, this.kdtEntrys, "userObject");
		dataBinder.registerBinding("entrys.belnr", String.class, this.kdtEntrys, "belnr.text");
		dataBinder.registerBinding("entrys.bukrs", String.class, this.kdtEntrys, "bukrs.text");
		dataBinder.registerBinding("entrys.gjahr", String.class, this.kdtEntrys, "gjahr.text");
		dataBinder.registerBinding("entrys.buzei", String.class, this.kdtEntrys, "buzei.text");
		dataBinder.registerBinding("entrys.bschl", String.class, this.kdtEntrys, "bschl.text");
		dataBinder.registerBinding("entrys.hkont", String.class, this.kdtEntrys, "hkont.text");
		dataBinder.registerBinding("entrys.umskz", String.class, this.kdtEntrys, "umskz.text");
		dataBinder.registerBinding("entrys.kunnr", String.class, this.kdtEntrys, "kunnr.text");
		dataBinder.registerBinding("entrys.lifnr", String.class, this.kdtEntrys, "lifnr.text");
		dataBinder.registerBinding("entrys.rstgr", String.class, this.kdtEntrys, "rstgr.text");
		dataBinder.registerBinding("entrys.wrbtr", java.math.BigDecimal.class, this.kdtEntrys, "wrbtr.text");
		dataBinder.registerBinding("entrys.dmbtr", java.math.BigDecimal.class, this.kdtEntrys, "dmbtr.text");
		dataBinder.registerBinding("entrys.dmbe2", java.math.BigDecimal.class, this.kdtEntrys, "dmbe2.text");
		dataBinder.registerBinding("entrys.zfbdt", java.util.Date.class, this.kdtEntrys, "zfbdt.text");
		dataBinder.registerBinding("entrys.kostl", java.lang.Object.class, this.kdtEntrys, "kostl.text");
		dataBinder.registerBinding("entrys.projk", String.class, this.kdtEntrys, "projk.text");
		dataBinder.registerBinding("entrys.aufnr", String.class, this.kdtEntrys, "aufnr.text");
		dataBinder.registerBinding("entrys.zuonr", String.class, this.kdtEntrys, "zuonr.text");
		dataBinder.registerBinding("entrys.sgtxt", String.class, this.kdtEntrys, "sgtxt.text");
		dataBinder.registerBinding("entrys.xnegp", String.class, this.kdtEntrys, "xnegp.text");
		dataBinder.registerBinding("entrys.xref1", String.class, this.kdtEntrys, "xref1.text");
		dataBinder.registerBinding("entrys.xref2", String.class, this.kdtEntrys, "xref2.text");
		dataBinder.registerBinding("entrys.xref3", String.class, this.kdtEntrys, "xref3.text");
		dataBinder.registerBinding("entrys.status", String.class, this.kdtEntrys, "status.text");
		dataBinder.registerBinding("entrys.syncDateTime", java.util.Date.class, this.kdtEntrys, "syncDateTime.text");
		dataBinder.registerBinding("entrys.result", String.class, this.kdtEntrys, "result.text");
		dataBinder.registerBinding("creator", com.kingdee.eas.base.permission.UserInfo.class, this.prmtCreator, "data");
		dataBinder.registerBinding("createTime", java.sql.Timestamp.class, this.kDDateCreateTime, "value");
		dataBinder.registerBinding("lastUpdateUser", com.kingdee.eas.base.permission.UserInfo.class, this.prmtLastUpdateUser, "data");
		dataBinder.registerBinding("lastUpdateTime", java.sql.Timestamp.class, this.kDDateLastUpdateTime, "value");
		dataBinder.registerBinding("number", String.class, this.txtNumber, "text");
		dataBinder.registerBinding("bizDate", java.util.Date.class, this.pkBizDate, "value");
		dataBinder.registerBinding("description", String.class, this.txtDescription, "text");
		dataBinder.registerBinding("auditor", com.kingdee.eas.base.permission.UserInfo.class, this.prmtAuditor, "data");
		dataBinder.registerBinding("bukrs", String.class, this.txtbukrs, "text");
		dataBinder.registerBinding("budat", java.util.Date.class, this.pkbudat, "value");
		dataBinder.registerBinding("bldat", java.util.Date.class, this.pkbldat, "value");
		dataBinder.registerBinding("blart", String.class, this.txtblart, "text");
		dataBinder.registerBinding("numpg", int.class, this.txtnumpg, "value");
		dataBinder.registerBinding("bktxt", String.class, this.txtbktxt, "text");
		dataBinder.registerBinding("usnam", String.class, this.txtusnam, "text");
		dataBinder.registerBinding("waers", String.class, this.txtwaers, "text");
		dataBinder.registerBinding("kursf", java.math.BigDecimal.class, this.txtkursf, "value");
		dataBinder.registerBinding("payStartDate", java.util.Date.class, this.pkpayStartDate, "value");
		dataBinder.registerBinding("payEndDate", java.util.Date.class, this.pkpayEndDate, "value");
		dataBinder.registerBinding("calScheme", com.kingdee.eas.basedata.org.AdminOrgUnitInfo.class, this.prmtcalScheme, "data");		
	}
	//Regiester UI State
	private void registerUIState(){		
	}
	public String getUIHandlerClassName() {
	    return "com.kingdee.eas.custom.integrationsap.app.PayVoucherEditUIHandler";
	}
	public IUIActionPostman prepareInit() {
		IUIActionPostman clientHanlder = super.prepareInit();
		if (clientHanlder != null) {
			RequestContext request = new RequestContext();
    		request.setClassName(getUIHandlerClassName());
			clientHanlder.setRequestContext(request);
		}
		return clientHanlder;
    }
	
	public boolean isPrepareInit() {
    	return false;
    }
    protected void initUIP() {
        super.initUIP();
    }


    /**
     * output onShow method
     */
    public void onShow() throws Exception
    {
        super.onShow();
        this.txtbukrs.requestFocusInWindow();
    }

	
	

    /**
     * output setDataObject method
     */
    public void setDataObject(IObjectValue dataObject)
    {
        IObjectValue ov = dataObject;        	    	
        super.setDataObject(ov);
        this.editData = (com.kingdee.eas.custom.integrationsap.PayVoucherInfo)ov;
    }
    protected void removeByPK(IObjectPK pk) throws Exception {
    	IObjectValue editData = this.editData;
    	super.removeByPK(pk);
    	recycleNumberByOrg(editData,"NONE",editData.getString("number"));
    }
    
    protected void recycleNumberByOrg(IObjectValue editData,String orgType,String number) {
        if (!StringUtils.isEmpty(number))
        {
            try {
            	String companyID = null;            
            	com.kingdee.eas.base.codingrule.ICodingRuleManager iCodingRuleManager = com.kingdee.eas.base.codingrule.CodingRuleManagerFactory.getRemoteInstance();
				if(!com.kingdee.util.StringUtils.isEmpty(orgType) && !"NONE".equalsIgnoreCase(orgType) && com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType))!=null) {
					companyID =com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType)).getString("id");
				}
				else if (com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit() != null) {
					companyID = ((com.kingdee.eas.basedata.org.OrgUnitInfo)com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit()).getString("id");
            	}				
				if (!StringUtils.isEmpty(companyID) && iCodingRuleManager.isExist(editData, companyID) && iCodingRuleManager.isUseIntermitNumber(editData, companyID)) {
					iCodingRuleManager.recycleNumber(editData,companyID,number);					
				}
            }
            catch (Exception e)
            {
                handUIException(e);
            }
        }
    }
    protected void setAutoNumberByOrg(String orgType) {
    	if (editData == null) return;
		if (editData.getNumber() == null) {
            try {
            	String companyID = null;
				if(!com.kingdee.util.StringUtils.isEmpty(orgType) && !"NONE".equalsIgnoreCase(orgType) && com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType))!=null) {
					companyID = com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType)).getString("id");
				}
				else if (com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit() != null) {
					companyID = ((com.kingdee.eas.basedata.org.OrgUnitInfo)com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit()).getString("id");
            	}
				com.kingdee.eas.base.codingrule.ICodingRuleManager iCodingRuleManager = com.kingdee.eas.base.codingrule.CodingRuleManagerFactory.getRemoteInstance();
		        if (iCodingRuleManager.isExist(editData, companyID)) {
		            if (iCodingRuleManager.isAddView(editData, companyID)) {
		            	editData.setNumber(iCodingRuleManager.getNumber(editData,companyID));
		            }
	                txtNumber.setEnabled(false);
		        }
            }
            catch (Exception e) {
                handUIException(e);
                this.oldData = editData;
                com.kingdee.eas.util.SysUtil.abort();
            } 
        } 
        else {
            if (editData.getNumber().trim().length() > 0) {
                txtNumber.setText(editData.getNumber());
            }
        }
    }

    /**
     * output loadFields method
     */
    public void loadFields()
    {
        		setAutoNumberByOrg("NONE");
        dataBinder.loadFields();
    }
		protected void setOrgF7(KDBizPromptBox f7,com.kingdee.eas.basedata.org.OrgType orgType) throws Exception
		{
			com.kingdee.eas.basedata.org.client.f7.NewOrgUnitFilterInfoProducer oufip = new com.kingdee.eas.basedata.org.client.f7.NewOrgUnitFilterInfoProducer(orgType);
			oufip.getModel().setIsCUFilter(true);
			f7.setFilterInfoProducer(oufip);
		}

    /**
     * output storeFields method
     */
    public void storeFields()
    {
		dataBinder.storeFields();
    }

	/**
	 * ??????????
	 */
	protected void registerValidator() {
    	getValidateHelper().setCustomValidator( getValidator() );
		getValidateHelper().registerBindProperty("entrys.id", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.belnr", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.bukrs", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.gjahr", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.buzei", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.bschl", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.hkont", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.umskz", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.kunnr", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.lifnr", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.rstgr", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.wrbtr", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.dmbtr", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.dmbe2", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.zfbdt", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.kostl", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.projk", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.aufnr", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.zuonr", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.sgtxt", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.xnegp", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.xref1", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.xref2", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.xref3", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.status", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.syncDateTime", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.result", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("creator", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("createTime", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("lastUpdateUser", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("lastUpdateTime", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("number", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("bizDate", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("description", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("auditor", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("bukrs", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("budat", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("bldat", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("blart", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("numpg", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("bktxt", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("usnam", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("waers", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("kursf", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("payStartDate", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("payEndDate", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("calScheme", ValidateHelper.ON_SAVE);    		
	}



    /**
     * output setOprtState method
     */
    public void setOprtState(String oprtType)
    {
        super.setOprtState(oprtType);
        if (STATUS_ADDNEW.equals(this.oprtState)) {
        } else if (STATUS_EDIT.equals(this.oprtState)) {
        } else if (STATUS_VIEW.equals(this.oprtState)) {
        } else if (STATUS_FINDVIEW.equals(this.oprtState)) {
        }
    }

    /**
     * output getSelectors method
     */
    public SelectorItemCollection getSelectors()
    {
        SelectorItemCollection sic = new SelectorItemCollection();
		String selectorAll = System.getProperty("selector.all");
		if(StringUtils.isEmpty(selectorAll)){
			selectorAll = "true";
		}
    	sic.add(new SelectorItemInfo("entrys.id"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("entrys.*"));
		}
		else{
		}
    	sic.add(new SelectorItemInfo("entrys.belnr"));
    	sic.add(new SelectorItemInfo("entrys.bukrs"));
    	sic.add(new SelectorItemInfo("entrys.gjahr"));
    	sic.add(new SelectorItemInfo("entrys.buzei"));
    	sic.add(new SelectorItemInfo("entrys.bschl"));
    	sic.add(new SelectorItemInfo("entrys.hkont"));
    	sic.add(new SelectorItemInfo("entrys.umskz"));
    	sic.add(new SelectorItemInfo("entrys.kunnr"));
    	sic.add(new SelectorItemInfo("entrys.lifnr"));
    	sic.add(new SelectorItemInfo("entrys.rstgr"));
    	sic.add(new SelectorItemInfo("entrys.wrbtr"));
    	sic.add(new SelectorItemInfo("entrys.dmbtr"));
    	sic.add(new SelectorItemInfo("entrys.dmbe2"));
    	sic.add(new SelectorItemInfo("entrys.zfbdt"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("entrys.kostl.*"));
		}
		else{
	    	sic.add(new SelectorItemInfo("entrys.kostl.id"));
			sic.add(new SelectorItemInfo("entrys.kostl.name"));
        	sic.add(new SelectorItemInfo("entrys.kostl.number"));
		}
    	sic.add(new SelectorItemInfo("entrys.projk"));
    	sic.add(new SelectorItemInfo("entrys.aufnr"));
    	sic.add(new SelectorItemInfo("entrys.zuonr"));
    	sic.add(new SelectorItemInfo("entrys.sgtxt"));
    	sic.add(new SelectorItemInfo("entrys.xnegp"));
    	sic.add(new SelectorItemInfo("entrys.xref1"));
    	sic.add(new SelectorItemInfo("entrys.xref2"));
    	sic.add(new SelectorItemInfo("entrys.xref3"));
    	sic.add(new SelectorItemInfo("entrys.status"));
    	sic.add(new SelectorItemInfo("entrys.syncDateTime"));
    	sic.add(new SelectorItemInfo("entrys.result"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("creator.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("creator.id"));
        	sic.add(new SelectorItemInfo("creator.number"));
        	sic.add(new SelectorItemInfo("creator.name"));
		}
        sic.add(new SelectorItemInfo("createTime"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("lastUpdateUser.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("lastUpdateUser.id"));
        	sic.add(new SelectorItemInfo("lastUpdateUser.number"));
        	sic.add(new SelectorItemInfo("lastUpdateUser.name"));
		}
        sic.add(new SelectorItemInfo("lastUpdateTime"));
        sic.add(new SelectorItemInfo("number"));
        sic.add(new SelectorItemInfo("bizDate"));
        sic.add(new SelectorItemInfo("description"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("auditor.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("auditor.id"));
        	sic.add(new SelectorItemInfo("auditor.number"));
        	sic.add(new SelectorItemInfo("auditor.name"));
		}
        sic.add(new SelectorItemInfo("bukrs"));
        sic.add(new SelectorItemInfo("budat"));
        sic.add(new SelectorItemInfo("bldat"));
        sic.add(new SelectorItemInfo("blart"));
        sic.add(new SelectorItemInfo("numpg"));
        sic.add(new SelectorItemInfo("bktxt"));
        sic.add(new SelectorItemInfo("usnam"));
        sic.add(new SelectorItemInfo("waers"));
        sic.add(new SelectorItemInfo("kursf"));
        sic.add(new SelectorItemInfo("payStartDate"));
        sic.add(new SelectorItemInfo("payEndDate"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("calScheme.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("calScheme.id"));
        	sic.add(new SelectorItemInfo("calScheme.number"));
        	sic.add(new SelectorItemInfo("calScheme.name"));
        	sic.add(new SelectorItemInfo("calScheme.isEntity"));
		}
        return sic;
    }        
    	

    /**
     * output actionSubmit_actionPerformed method
     */
    public void actionSubmit_actionPerformed(ActionEvent e) throws Exception
    {
        super.actionSubmit_actionPerformed(e);
    }
    	

    /**
     * output actionPrint_actionPerformed method
     */
    public void actionPrint_actionPerformed(ActionEvent e) throws Exception
    {
        ArrayList idList = new ArrayList();
    	if (editData != null && !StringUtils.isEmpty(editData.getString("id"))) {
    		idList.add(editData.getString("id"));
    	}
        if (idList == null || idList.size() == 0 || getTDQueryPK() == null || getTDFileName() == null)
            return;
        com.kingdee.bos.ctrl.kdf.data.impl.BOSQueryDelegate data = new com.kingdee.eas.framework.util.CommonDataProvider(idList,getTDQueryPK());
        com.kingdee.bos.ctrl.report.forapp.kdnote.client.KDNoteHelper appHlp = new com.kingdee.bos.ctrl.report.forapp.kdnote.client.KDNoteHelper();
        appHlp.print(getTDFileName(), data, javax.swing.SwingUtilities.getWindowAncestor(this));
    }
    	

    /**
     * output actionPrintPreview_actionPerformed method
     */
    public void actionPrintPreview_actionPerformed(ActionEvent e) throws Exception
    {
        ArrayList idList = new ArrayList();
        if (editData != null && !StringUtils.isEmpty(editData.getString("id"))) {
    		idList.add(editData.getString("id"));
    	}
        if (idList == null || idList.size() == 0 || getTDQueryPK() == null || getTDFileName() == null)
            return;
        com.kingdee.bos.ctrl.kdf.data.impl.BOSQueryDelegate data = new com.kingdee.eas.framework.util.CommonDataProvider(idList,getTDQueryPK());
        com.kingdee.bos.ctrl.report.forapp.kdnote.client.KDNoteHelper appHlp = new com.kingdee.bos.ctrl.report.forapp.kdnote.client.KDNoteHelper();
        appHlp.printPreview(getTDFileName(), data, javax.swing.SwingUtilities.getWindowAncestor(this));
    }
	public RequestContext prepareActionSubmit(IItemAction itemAction) throws Exception {
			RequestContext request = super.prepareActionSubmit(itemAction);		
		if (request != null) {
    		request.setClassName(getUIHandlerClassName());
		}
		return request;
    }
	
	public boolean isPrepareActionSubmit() {
    	return false;
    }
	public RequestContext prepareActionPrint(IItemAction itemAction) throws Exception {
			RequestContext request = super.prepareActionPrint(itemAction);		
		if (request != null) {
    		request.setClassName(getUIHandlerClassName());
		}
		return request;
    }
	
	public boolean isPrepareActionPrint() {
    	return false;
    }
	public RequestContext prepareActionPrintPreview(IItemAction itemAction) throws Exception {
			RequestContext request = super.prepareActionPrintPreview(itemAction);		
		if (request != null) {
    		request.setClassName(getUIHandlerClassName());
		}
		return request;
    }
	
	public boolean isPrepareActionPrintPreview() {
    	return false;
    }

    /**
     * output getMetaDataPK method
     */
    public IMetaDataPK getMetaDataPK()
    {
        return new MetaDataPK("com.kingdee.eas.custom.integrationsap.client", "PayVoucherEditUI");
    }
    /**
     * output isBindWorkFlow method
     */
    public boolean isBindWorkFlow()
    {
        return true;
    }

    /**
     * output getEditUIName method
     */
    protected String getEditUIName()
    {
        return com.kingdee.eas.custom.integrationsap.client.PayVoucherEditUI.class.getName();
    }

    /**
     * output getBizInterface method
     */
    protected com.kingdee.eas.framework.ICoreBase getBizInterface() throws Exception
    {
        return com.kingdee.eas.custom.integrationsap.PayVoucherFactory.getRemoteInstance();
    }

    /**
     * output createNewData method
     */
    protected IObjectValue createNewData()
    {
        com.kingdee.eas.custom.integrationsap.PayVoucherInfo objectValue = new com.kingdee.eas.custom.integrationsap.PayVoucherInfo();
        objectValue.setCreator((com.kingdee.eas.base.permission.UserInfo)(com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentUser()));		
        return objectValue;
    }


    	protected String getTDFileName() {
    	return "/bim/custom/integrationsap/PayVoucher";
	}
    protected IMetaDataPK getTDQueryPK() {
    	return new MetaDataPK("com.kingdee.eas.custom.integrationsap.app.PayVoucherQuery");
	}
    

    /**
     * output getDetailTable method
     */
    protected KDTable getDetailTable() {
        return kdtEntrys;
	}
    /**
     * output applyDefaultValue method
     */
    protected void applyDefaultValue(IObjectValue vo) {        
    }        
	protected void setFieldsNull(com.kingdee.bos.dao.AbstractObjectValue arg0) {
		super.setFieldsNull(arg0);
		arg0.put("number",null);
	}

}