package com.kingdee.eas.hr.perf;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.hr.perf.app.*;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class PerfEvaluObjectFacade extends AbstractBizCtrl implements IPerfEvaluObjectFacade
{
    public PerfEvaluObjectFacade()
    {
        super();
        registerInterface(IPerfEvaluObjectFacade.class, this);
    }
    public PerfEvaluObjectFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IPerfEvaluObjectFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("CCFA1696");
    }
    private PerfEvaluObjectFacadeController getController() throws BOSException
    {
        return (PerfEvaluObjectFacadeController)getBizController();
    }
    /**
     *osf-User defined method
     *@param serviceName OSF
     *@param employeeNumbers ùϵ
     *@param day 
     */
    public void proceedService(String serviceName, String employeeNumbers, int day) throws BOSException, EASBizException
    {
        try {
            getController().proceedService(getContext(), serviceName, employeeNumbers, day);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}