package com.kingdee.eas.hr.perf;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.HRBillBaseEntry;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.hr.base.IHRBillBaseEntry;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.hr.perf.app.*;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class PerformanProjectOneEntry extends HRBillBaseEntry implements IPerformanProjectOneEntry
{
    public PerformanProjectOneEntry()
    {
        super();
        registerInterface(IPerformanProjectOneEntry.class, this);
    }
    public PerformanProjectOneEntry(Context ctx)
    {
        super(ctx);
        registerInterface(IPerformanProjectOneEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("9AA2F7CA");
    }
    private PerformanProjectOneEntryController getController() throws BOSException
    {
        return (PerformanProjectOneEntryController)getBizController();
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public PerformanProjectOneEntryInfo getPerformanProjectOneEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanProjectOneEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public PerformanProjectOneEntryInfo getPerformanProjectOneEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanProjectOneEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public PerformanProjectOneEntryInfo getPerformanProjectOneEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanProjectOneEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public PerformanProjectOneEntryCollection getPerformanProjectOneEntryCollection() throws BOSException
    {
        try {
            return getController().getPerformanProjectOneEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public PerformanProjectOneEntryCollection getPerformanProjectOneEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getPerformanProjectOneEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public PerformanProjectOneEntryCollection getPerformanProjectOneEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getPerformanProjectOneEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}