package com.kingdee.eas.hr.perf;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.HRBillBaseEntry;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.hr.base.IHRBillBaseEntry;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.hr.perf.app.*;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class PerformanProjectPersonEntry extends HRBillBaseEntry implements IPerformanProjectPersonEntry
{
    public PerformanProjectPersonEntry()
    {
        super();
        registerInterface(IPerformanProjectPersonEntry.class, this);
    }
    public PerformanProjectPersonEntry(Context ctx)
    {
        super(ctx);
        registerInterface(IPerformanProjectPersonEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("932CAF3F");
    }
    private PerformanProjectPersonEntryController getController() throws BOSException
    {
        return (PerformanProjectPersonEntryController)getBizController();
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public PerformanProjectPersonEntryInfo getPerformanProjectPersonEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanProjectPersonEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public PerformanProjectPersonEntryInfo getPerformanProjectPersonEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanProjectPersonEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public PerformanProjectPersonEntryInfo getPerformanProjectPersonEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanProjectPersonEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public PerformanProjectPersonEntryCollection getPerformanProjectPersonEntryCollection() throws BOSException
    {
        try {
            return getController().getPerformanProjectPersonEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public PerformanProjectPersonEntryCollection getPerformanProjectPersonEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getPerformanProjectPersonEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public PerformanProjectPersonEntryCollection getPerformanProjectPersonEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getPerformanProjectPersonEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}