package com.kingdee.eas.hr.perf;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.IHRBillBase;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.hr.base.HRBillBase;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.hr.perf.app.*;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class PerformanProjectTwo extends HRBillBase implements IPerformanProjectTwo
{
    public PerformanProjectTwo()
    {
        super();
        registerInterface(IPerformanProjectTwo.class, this);
    }
    public PerformanProjectTwo(Context ctx)
    {
        super(ctx);
        registerInterface(IPerformanProjectTwo.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("037D696E");
    }
    private PerformanProjectTwoController getController() throws BOSException
    {
        return (PerformanProjectTwoController)getBizController();
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public PerformanProjectTwoCollection getPerformanProjectTwoCollection() throws BOSException
    {
        try {
            return getController().getPerformanProjectTwoCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public PerformanProjectTwoCollection getPerformanProjectTwoCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getPerformanProjectTwoCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public PerformanProjectTwoCollection getPerformanProjectTwoCollection(String oql) throws BOSException
    {
        try {
            return getController().getPerformanProjectTwoCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public PerformanProjectTwoInfo getPerformanProjectTwoInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanProjectTwoInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public PerformanProjectTwoInfo getPerformanProjectTwoInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanProjectTwoInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public PerformanProjectTwoInfo getPerformanProjectTwoInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanProjectTwoInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}