package com.kingdee.eas.hr.perf;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class PerformanceMiddleFactory
{
    private PerformanceMiddleFactory()
    {
    }
    public static com.kingdee.eas.hr.perf.IPerformanceMiddle getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.hr.perf.IPerformanceMiddle)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("1B110C32") ,com.kingdee.eas.hr.perf.IPerformanceMiddle.class);
    }
    
    public static com.kingdee.eas.hr.perf.IPerformanceMiddle getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.hr.perf.IPerformanceMiddle)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("1B110C32") ,com.kingdee.eas.hr.perf.IPerformanceMiddle.class, objectCtx);
    }
    public static com.kingdee.eas.hr.perf.IPerformanceMiddle getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.hr.perf.IPerformanceMiddle)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("1B110C32"));
    }
    public static com.kingdee.eas.hr.perf.IPerformanceMiddle getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.hr.perf.IPerformanceMiddle)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("1B110C32"));
    }
}