package com.kingdee.eas.hr.perf;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.IHRBillBase;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.hr.base.HRBillBase;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.hr.perf.app.*;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class PerformanceScoring extends HRBillBase implements IPerformanceScoring
{
    public PerformanceScoring()
    {
        super();
        registerInterface(IPerformanceScoring.class, this);
    }
    public PerformanceScoring(Context ctx)
    {
        super(ctx);
        registerInterface(IPerformanceScoring.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("7ADA1FD2");
    }
    private PerformanceScoringController getController() throws BOSException
    {
        return (PerformanceScoringController)getBizController();
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public PerformanceScoringCollection getPerformanceScoringCollection() throws BOSException
    {
        try {
            return getController().getPerformanceScoringCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public PerformanceScoringCollection getPerformanceScoringCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getPerformanceScoringCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public PerformanceScoringCollection getPerformanceScoringCollection(String oql) throws BOSException
    {
        try {
            return getController().getPerformanceScoringCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public PerformanceScoringInfo getPerformanceScoringInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanceScoringInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public PerformanceScoringInfo getPerformanceScoringInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanceScoringInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public PerformanceScoringInfo getPerformanceScoringInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getPerformanceScoringInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}