package com.kingdee.eas.hr.perf;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.hr.perf.app.*;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.shr.base.syssetting.BaseItemException;
import com.kingdee.bos.framework.*;

public class PersonPerformPro extends CoreBillBase implements IPersonPerformPro
{
    public PersonPerformPro()
    {
        super();
        registerInterface(IPersonPerformPro.class, this);
    }
    public PersonPerformPro(Context ctx)
    {
        super(ctx);
        registerInterface(IPersonPerformPro.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("E10F04D4");
    }
    private PersonPerformProController getController() throws BOSException
    {
        return (PersonPerformProController)getBizController();
    }
    /**
     *ȡ-System defined method
     *@return
     */
    public PersonPerformProCollection getPersonPerformProCollection() throws BOSException
    {
        try {
            return getController().getPersonPerformProCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param view ȡ
     *@return
     */
    public PersonPerformProCollection getPersonPerformProCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getPersonPerformProCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡ-System defined method
     *@param oql ȡ
     *@return
     */
    public PersonPerformProCollection getPersonPerformProCollection(String oql) throws BOSException
    {
        try {
            return getController().getPersonPerformProCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@return
     */
    public PersonPerformProInfo getPersonPerformProInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getPersonPerformProInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param pk ȡֵ
     *@param selector ȡֵ
     *@return
     */
    public PersonPerformProInfo getPersonPerformProInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getPersonPerformProInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *ȡֵ-System defined method
     *@param oql ȡֵ
     *@return
     */
    public PersonPerformProInfo getPersonPerformProInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getPersonPerformProInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *-User defined method
     *@param billId ID
     */
    public void enable(String billId) throws BOSException, BaseItemException
    {
        try {
            getController().enable(getContext(), billId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *-User defined method
     *@param billId ID
     */
    public void disable(String billId) throws BOSException, BaseItemException
    {
        try {
            getController().disable(getContext(), billId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}