package com.kingdee.eas.hr.perf.task;

import com.kingdee.bos.metadata.MetaDataLoaderFactory;
import com.kingdee.bos.metadata.entity.*;
import com.kingdee.bos.metadata.management.LanguageCollection;
import com.kingdee.bos.metadata.management.SolutionInfo;
import com.kingdee.bos.metadata.query.util.CompareType;
import com.kingdee.bos.service.message.Message;
import com.kingdee.bos.service.message.agent.MessageFactory;
import com.kingdee.bos.service.message.agent.SenderAgent;
import com.kingdee.eas.base.message.MsgBizType;
import com.kingdee.eas.base.message.MsgPriority;
import com.kingdee.eas.base.message.MsgSourceStatus;
import com.kingdee.eas.base.message.MsgType;
import com.kingdee.eas.base.permission.IUser;
import com.kingdee.eas.base.permission.UserCollection;
import com.kingdee.eas.base.permission.UserFactory;
import com.kingdee.eas.base.permission.UserInfo;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.csinterface.biz.util.DBUtils;
import com.kingdee.eas.util.app.ContextUtil;
import com.kingdee.eas.util.app.DbUtil;
import com.kingdee.jdbc.rowset.IRowSet;
import com.kingdee.shr.perfweb.app.base.evalplan.*;
import org.apache.log4j.Logger;

import javax.ejb.*;
import java.rmi.RemoteException;
import java.sql.SQLException;
import java.util.*;

import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;


public class PerInterviewFacadeControllerBean extends AbstractPerInterviewFacadeControllerBean {
    private static Logger logger =
            Logger.getLogger("com.kingdee.eas.hr.perf.task.PerInterviewFacadeControllerBean");

    @Override
    protected void _sendEarlyWarning(Context ctx) throws BOSException {
        super._sendEarlyWarning(ctx);
       DbUtil.execute(ctx, "update T_EVA_EvaResultSummary set CFISINTERVIEW = '1' where fid in (select  FEVARESULTSUMMARYID from T_EVA_Interview)");
//        IUser iUser = UserFactory.getLocalInstance(ctx);
//
//        Map<String, StringBuilder> evaResultSummaryMap = null;
//        try {
//            //ЧID
//            Set evaResultSummaryIds = getEvaResultSummaryids(ctx);
//            //˽
//            IEvaResultSummary iEvaResultSummary = EvaResultSummaryFactory.getLocalInstance(ctx);
//            //Ч̸
//            IInterview iInterview = InterviewFactory.getLocalInstance(ctx);
//            Map interviewMap = new HashMap();
//            InterviewCollection interviewCollection = iInterview.getInterviewCollection();
//            for (int i = 0; i < interviewCollection.size(); i++) {
//                InterviewInfo interviewInfo = interviewCollection.get(i);
//                //˽YId
//                String evaResultSummaryId = interviewInfo.getEvaResultSummary().getId().toString();
//                interviewMap.put(evaResultSummaryId, interviewInfo);
//            }
//            //ȡ˵ֱϼ
//            Map personOfParentMap = getPersonOfParentAll(ctx);
//            //ȡЧ˵ȼΪC/D δ̸ ԼǼЧ
//            SelectorItemCollection sic = getSelectorItemCollection();
//            FilterInfo filterInfo = new FilterInfo();
//            FilterItemCollection filterItems = filterInfo.getFilterItems();
//            filterItems.add(new FilterItemInfo("id", evaResultSummaryIds, CompareType.INCLUDE));
//            EntityViewInfo entityViewInfo = EntityViewInfo.getInstance(filterInfo, sic, null);
//            EvaResultSummaryCollection evaResultSummaryCollection = iEvaResultSummary.getEvaResultSummaryCollection(entityViewInfo);
//            //
//            evaResultSummaryMap = new HashMap();
//            for (int i = 0; i < evaResultSummaryCollection.size(); i++) {
//                StringBuilder body = new StringBuilder();
//                EvaResultSummaryInfo evaResultSummaryInfo = evaResultSummaryCollection.get(i);
//                String id = evaResultSummaryInfo.getId().toString();
//                String number = evaResultSummaryInfo.getNumber();
//                String personId = evaResultSummaryInfo.getPerson().getId().toString();
//                String personName = evaResultSummaryInfo.getPerson().getName();
//                String gradeLevel = evaResultSummaryInfo.getGradeLevel().toString();
//                //
//                String periodName = evaResultSummaryInfo.getPeriod().getName();
//                if (!interviewMap.containsKey(id)) {
//                    //evaResultSummaryMap.put(number, evaResultSummaryInfo);
//                    body.append(":[" + periodName + "]Ա:[").append(personName).append("]ЧΪ").append(gradeLevel).append(",δмЧ̸뼰ʱ").append("\n");
//                    String parentPersonId = (String) personOfParentMap.get(personId);
//                    if (evaResultSummaryMap.containsKey(parentPersonId)) {
//                        evaResultSummaryMap.get(parentPersonId).append(body);
//                    } else {
//                        evaResultSummaryMap.put(parentPersonId, body);
//                    }
//                    ////ȡԱֱϼ
//                    //UserInfo user = iUser.getUser("where person = '" + parentPersonId + "'");
//                    //sendMessage(ctx, body.toString(), user.getId().toString());
//                }
//            }
//            logger.error("evaResultSummaryMap:" + evaResultSummaryMap);
//            //ȡû
//            UserCollection userColl = iUser.getUserCollection("select id ,person.id");
//            Map<String, String> userMap = new HashMap();
//            for (int i = 0; i < userColl.size(); i++) {
//                UserInfo userInfo = userColl.get(i);
//                if (userInfo.getPerson() != null) {
//                    userMap.put(userInfo.getPerson().getId().toString(), userInfo.getId().toString());
//                }
//            }
//            logger.error("userMap:" + userMap);
//            for (Map.Entry<String, StringBuilder> entry : evaResultSummaryMap.entrySet()) {
//                String parentPersonId = entry.getKey();
//                StringBuilder body = entry.getValue();
//                //жϸֱϼǷuser˺
//                if (userMap.containsKey(parentPersonId)) {
//                    sendMessage(ctx, body.toString(), userMap.get(parentPersonId));
//                }
//            }
//
//        } catch (SQLException e) {
//            e.printStackTrace();
//            throw new RuntimeException(e);
//        }
    }

    /**
     * Ϣ
     *
     * @param ctx
     * @param body
     */
    public void sendMessage(Context ctx, String body, String userId) {
        logger.error("start-----");
        //ǷһϢĺƬϣԵĳ֯ͣԼҪȡ֯ûIDϣȻreceiver
        SenderAgent senderAgent = SenderAgent.getSenderAgent();
        Message message;
        Locale[] lcla = getContextLocales(ctx);//ȡctxϢб
        logger.error("lcla---" + lcla);
        Locale locale = null;
        message = MessageFactory.newMessage("kingdee.workflow");//һϢ
        for (int j = 0, m = lcla.length; j < m; j++) {
            //˴ѭжϢ
            locale = lcla[j];
            message.setLocaleStringHeader("title", "ЧԤ", locale);//Ϣ
            message.setLocaleStringHeader("sender", "רԱ", locale);//÷ˣıID
            message.setLocaleStringHeader("body", body, locale);//ϢݣݾҵԼ趨
            message.setLocaleStringHeader("initiatorName", "רԱ", locale);

        }
        message.setIntHeader("type", MsgType.NOTICE_VALUE);//ϢΪ֪ͨ
        message.setIntHeader("bizType", MsgBizType.FORWARN_VALUE);//ҵΪ
        message.setIntHeader("sourceStatus", MsgSourceStatus.EMPTY_VALUE);//״̬˴֪ͨϢÿ
        message.setIntHeader("priority", MsgPriority.MIDDLE_VALUE);//ϢȼԼҪ趨Ӧļ
        message.setStringHeader("databaseCenter", ctx.getAIS());//õ
        message.setStringHeader("solution", ctx.getSolution());//ý
        //ýߣǲûIDID÷ֺ";"ָ
        message.setStringHeader("receiver", userId);
        logger.error("senderAgent.getState() -----" + senderAgent.getState());
        if (senderAgent.getState() == 1) {
            senderAgent.start();
        }
        senderAgent.sendMessage(message); //Ϣ
        logger.error("end-----");

    }

    /**
     * ȡctxϢб
     *
     * @param ctx
     * @return
     */
    public static Locale[] getContextLocales(Context ctx) {
        Locale[] locales = null;
        SolutionInfo solu = MetaDataLoaderFactory.getLocalMetaDataLoader(ctx)
                .getSolution();

        if (solu != null) {
            LanguageCollection langs = solu.getLanguages();
            if (langs != null) {

                locales = new Locale[langs.size()];

                for (int i = 0; i < langs.size(); i++) {
                    locales[i] = langs.get(i).getLocale();
                }
            }
        }

        return locales;
    }

    /**
     * ȡԱֱϼ
     *
     * @param ctx
     * @return
     * @throws BOSException
     * @throws SQLException
     */
    public Map getPersonOfParentAll(Context ctx) throws BOSException, SQLException {
        StringBuilder sb = new StringBuilder();
        Map map = new HashMap();
        sb.append("select ").append("\n");
        sb.append("personParent.fnumber as personParentNumber , ").append("\n");
        sb.append("personParent.fid as personParentId , ").append("\n");
        sb.append("personParent.fname_l2  as personParentName , ").append("\n");
        sb.append("person.fnumber as personNumber , ").append("\n");
        sb.append("person.fid as personId , ").append("\n");
        sb.append("person.fname_l2  as personName ").append("\n");
        sb.append("from T_ORG_PositionMember positioonMenber").append("\n");
        sb.append("    left join T_ORG_Position position on position.fid = positioonMenber.FPositionID").append("\n");
        sb.append("    left join T_ORG_Position positionParent on position.fid = positionParent.FPARENTID").append("\n");
        sb.append("    left join T_HR_EmpOrgRelation empOrgRelation on empOrgRelation.FPOSITIONID  = positionParent.fid").append("\n");
        sb.append("    left join t_Bd_person person on person.fid = empOrgRelation.FPERSONID and empOrgRelation.FIsSystem='1'").append("\n");
        sb.append("    left join t_Bd_person personParent on  personParent.fid = positioonMenber.FPERSONID").append("\n");
        IRowSet iRowSet = DBUtils.executeQuery(ctx, sb.toString());
        while (iRowSet.next()) {
            map.put(iRowSet.getString("personId"), iRowSet.getString("personParentId"));
        }
        return map;
    }

    /**
     * ѯֶ
     *
     * @return
     */
    public SelectorItemCollection getSelectorItemCollection() {
        SelectorItemCollection sic = new SelectorItemCollection();
        sic.add("gradeLevel");//˵ȼ
        sic.add("id");//˵ȼ
        sic.add("name");//Ա
        sic.add("number");//Ա
        sic.add("evaObj.id");//
        sic.add("evaObj.name");
        sic.add("evaObj.number");
        sic.add("evaPlan.id");//˼ƻ
        sic.add("evaPlan.name");
        sic.add("evaPlan.number");
        sic.add("period.id");//
        sic.add("period.name");
        sic.add("period.number");
        sic.add("period.id");//
        sic.add("period.name");
        sic.add("period.number");
        sic.add("person.id");//Ա
        sic.add("person.name");
        sic.add("person.number");
        return sic;
    }


    /**
     * ȡҪ̸ԱļЧID
     *
     * @return
     */
    public Set getEvaResultSummaryids(Context ctx) throws BOSException, SQLException {
        StringBuilder sb = new StringBuilder();
        sb.append("").append("\n");
        sb.append("SELECT ").append("\n");
        sb.append("").append("\n");
        sb.append("\"EVARESULTSUMMARY\".FPnumber AS \"PNUMBER\", ").append("\n");
        sb.append("\"EVARESULTSUMMARY\".FPname AS \"PNAME\", ").append("\n");
        sb.append("\"EVARESULTSUMMARY\".FPositionName AS \"POSITIONNAME\", ").append("\n");
        sb.append("\"PERFFILE\".FHrOrgUnitID AS \"HRORGUNIT.ID\", ").append("\n");
        sb.append("\"HRORGUNIT\".FName_l2 AS \"HRORGUNIT.NAME\", ").append("\n");
        sb.append("\"ADMINORGUNIT\".FCompanyID AS \"COMPANY.ID\", ").append("\n");
        sb.append("\"COMPANY\".FName_l2 AS \"COMPANY.NAME\", ").append("\n");
        sb.append("\"COMPANY\".FLongNumber AS \"COMPANY.LONGNUMBER\", ").append("\n");
        sb.append("\"COMPANY\".FDisplayName_l2 AS \"COMPANY.DISPLAYNAME\", ").append("\n");
        sb.append("\"ADMINORGUNIT\".FDepartmentID AS \"DEPARTMENT.ID\", ").append("\n");
        sb.append("\"DEPARTMENT\".FName_l2 AS \"DEPARTMENT.NAME\", ").append("\n");
        sb.append("\"DEPARTMENT\".FLongNumber AS \"DEPARTMENT.LONGNUMBER\", ").append("\n");
        sb.append("\"DEPARTMENT\".FDisplayName_l2 AS \"DEPARTMENT.DISPLAYNAME\", ").append("\n");
        sb.append("\"EVAOBJ\".FWorkFlowStatus AS \"EVAOBJ.WORKFLOWSTATUS\", ").append("\n");
        sb.append("\"EVARESULTSUMMARY\".FSumScore AS \"SUMSCORE\", ").append("\n");
        sb.append("\"EVARESULTSUMMARY\".FGradeLevel AS \"GRADELEVEL\", ").append("\n");
        sb.append("\"EVARESULTSUMMARY\".FReviseSumScore AS \"REVISESUMSCORE\", ").append("\n");
        sb.append("\"EVARESULTSUMMARY\".FReviseGradeLevel AS \"REVISEGRADELEVEL\", ").append("\n");
        sb.append("\"EVARESULTSUMMARY\".FLastSumScore AS \"LASTSUMSCORE\", ").append("\n");
        sb.append("\"EVARESULTSUMMARY\".FLastGradeLevel AS \"LASTGRADELEVEL\", ").append("\n");
        sb.append("\"EVARESULTSUMMARY\".FReviseReason AS \"REVISEREASON\", ").append("\n");
        sb.append("\"PERFFILE\".FEmployeeTypeID AS \"EMPLOYEETYPE.ID\", ").append("\n");
        sb.append("\"EMPLOYEETYPE\".FName_l2 AS \"EMPLOYEETYPE.NAME\", ").append("\n");
        sb.append("\"PERFFILE\".FAdminOrgUnitID AS \"ADMINORGUNIT.ID\", ").append("\n");
        sb.append("\"ADMINORGUNIT\".FLongNumber AS \"ADMINORGUNIT.LONGNUMBER\", ").append("\n");
        sb.append("\"ADMINORGUNIT\".FDisplayName_l2 AS \"ADMINORGUNIT.DISPLAYNAME\", ").append("\n");
        sb.append("\"ADMINORGUNIT\".FName_l2 AS \"ADMINORGUNIT.NAME\", ").append("\n");
        sb.append("\"EVARESULTSUMMARY\".FID AS \"ID\", ").append("\n");
        sb.append("\"EVAOBJ\".FID AS \"EVAOBJ.ID\", ").append("\n");
        sb.append("\"EVAOBJ\".FPersonalGoalStatus AS \"EVAOBJ.PERSONALGOALSTATUS\", ").append("\n");
        sb.append("\"EVAOBJ\".FUnitGoalsStatus AS \"EVAOBJ.UNITGOALSSTATUS\", ").append("\n");
        sb.append("\"EVAOBJ\".FTaskSendStatus AS \"EVAOBJ.TASKSENDSTATUS\", ").append("\n");
        sb.append("\"EVAOBJ\".FScoreTaskStatus AS \"EVAOBJ.SCORETASKSTATUS\", ").append("\n");
        sb.append("\"PERFFILE\".FName_l2 AS \"PERFFILE.NAME\", ").append("\n");
        sb.append("\"PERFFILE\".FNumber AS \"PERFFILE.NUMBER\", ").append("\n");
        sb.append("\"PERFFILE\".FPositionID AS \"POSITION.ID\", ").append("\n");
        sb.append("\"POSITION\".FName_l2 AS \"POSITION.NAME\", ").append("\n");
        sb.append("\"POSITION\".FNumber AS \"POSITION.NUMBER\", ").append("\n");
        sb.append("\"EVARESULTSUMMARY\".FBillState AS \"BILLSTATE\", ").append("\n");
        sb.append("\"EVARESULTSUMMARY\".FStatus AS \"STATUS\", ").append("\n");
        sb.append("\"PERFFILE\".FPersonID AS \"PERSON.ID\", ").append("\n");
        sb.append("\"EVARESULTSUMMARY\".FIsImportByHand AS \"ISIMPORTBYHAND\", ").append("\n");
        sb.append("\"EVAOBJ\".FCanAdjustEvaluer AS \"EVAOBJ.CANADJUSTEVALUER\", ").append("\n");
        sb.append("\"ADMINORGUNIT\".FSortCode AS \"ADMINORGUNIT.SORTCODE\", ").append("\n");
        sb.append("\"POSITION\".FIndex AS \"POSITION.INDEX\", ").append("\n");
        sb.append("\"PERSON\".FIndex AS \"PERSON.INDEXOF\", ").append("\n");
        sb.append("\"PERSON\".FNumber AS \"PERSON.NUMBER\", ").append("\n");
        sb.append("\"EVAPLAN\".FAppealDays AS \"EVAPLAN.APPEALDAYS\", ").append("\n");
        sb.append("\"EVAPLAN\".FAppealDealType AS \"EVAPLAN.APPEALDEALTYPE\", ").append("\n");
        sb.append("\"EVARESULTSUMMARY\".FConfirmState AS \"CONFIRMSTATE\", ").append("\n");
        sb.append("\"EVARESULTSUMMARY\".FAppealState AS \"APPEALSTATE\", ").append("\n");
        sb.append("\"EVAPLAN\".FNeedConfirm AS \"EVAPLAN.NEEDCONFIRM\", ").append("\n");
        sb.append("\"EVAPLAN\".FAllowAppeal AS \"EVAPLAN.ALLOWAPPEAL\", ").append("\n");
        sb.append("CASE  WHEN (\"INTERVIEW\".FInterviewStatus IS NULL) THEN '1' ELSE \"INTERVIEW\".FInterviewStatus END AS \"INTERVIEW.INTERVIEWSTATUS\", ").append("\n");
        sb.append("\"EVARESULTSUMMARY\".FIsCreateAuditBill AS \"ISCREATEAUDITBILL\", ").append("\n");
        sb.append("\"EVARESULTAUDITBILLENTRY\".FID AS \"EVARESULTAUDITBILLENTRY.ID\", ").append("\n");
        sb.append("\"EVARESULTAUDITBILL\".FBillState AS \"EVARESULTAUDITBILL.BILLSTATE\", ").append("\n");
        sb.append("\"EVARESULTAUDITBILLENTRY\".FBillID AS \"EVARESULTAUDITBILL.ID\", ").append("\n");
        sb.append("\"PERIOD\".FID AS \"PERIOD.ID\", ").append("\n");
        sb.append("\"EVARESULTSUMMARY\".FEvaPlanID AS \"EVAPLAN.ID\", ").append("\n");
        sb.append("\"EVARESULTSUMMARY\".FAuditDate AS \"AUDITDATE\", ").append("\n");
        sb.append("\"EVAPLAN\".FNumber AS \"EVAPLAN.NUMBER\", ").append("\n");
        sb.append("\"EVAPLAN\".FName_l2 AS \"EVAPLAN.NAME\",").append("\n");
        sb.append("\"EVAPLAN\".CFPerobjectIdID AS \"EVAPLAN.perobjectId\", ").append("\n");
        sb.append("\"PERIOD\".FName_l2 AS \"PERIOD.NAME\", ").append("\n");
        sb.append("\"PERIOD\".FNumber AS \"PERIOD.NUMBER\", ").append("\n");
        sb.append("\"PERSON\".FName_l2 AS \"PERSON.NAME\", ").append("\n");
        sb.append("\"EVARESULTSUMMARY\".FReviseFlag AS \"REVISEFLAG\", ").append("\n");
        sb.append("\"EVARESULTSUMMARY\".FAuditFlag AS \"AUDITFLAG\", ").append("\n");
        sb.append("\"EVARESULTSUMMARY\".CFOldSumScore AS \"OLDSUMSCORE\", ").append("\n");
        sb.append("\"EVARESULTSUMMARY\".CFDepCoefficient AS \"DEPCOEFFICIENT\", ").append("\n");
        sb.append("\"EVARESULTSUMMARY\".CFOrgLevel AS \"ORGLEVEL\", ").append("\n");
        sb.append("\"EVARESULTSUMMARY\".CFOrgLevelEveID AS \"ORGLEVELEVEID\",").append("\n");
        sb.append("\"EVARESULTSUMMARY\".fid AS \"EVARESULTSUMMARY.FID\"").append("\n");
        sb.append("").append("\n");
        sb.append("").append("\n");
        sb.append("FROM T_EVA_EvaResultSummary AS \"EVARESULTSUMMARY\"").append("\n");
        sb.append("").append("\n");
        sb.append("LEFT OUTER JOIN T_EVA_PerfEvaObject AS \"EVAOBJ\"").append("\n");
        sb.append("ON \"EVARESULTSUMMARY\".FEvaObjID = \"EVAOBJ\".FID").append("\n");
        sb.append("").append("\n");
        sb.append("LEFT OUTER JOIN T_EVA_PerfPlan AS \"EVAPLAN\"").append("\n");
        sb.append("ON \"EVARESULTSUMMARY\".FEvaPlanID = \"EVAPLAN\".FID").append("\n");
        sb.append("").append("\n");
        sb.append("LEFT OUTER JOIN T_EVA_PerfPeriod AS \"PERIOD\"").append("\n");
        sb.append("ON \"EVARESULTSUMMARY\".FPeriodID = \"PERIOD\".FID").append("\n");
        sb.append("").append("\n");
        sb.append("LEFT OUTER JOIN T_EVA_Interview AS \"INTERVIEW\"").append("\n");
        sb.append("ON \"EVARESULTSUMMARY\".FID = \"INTERVIEW\".FEvaResultSummaryID").append("\n");
        sb.append("").append("\n");
        sb.append("LEFT OUTER JOIN T_EVA_EvaResultAuditBillEntry AS \"EVARESULTAUDITBILLENTRY\"").append("\n");
        sb.append("ON \"EVARESULTSUMMARY\".FID = \"EVARESULTAUDITBILLENTRY\".FEvaResultID").append("\n");
        sb.append("").append("\n");
        sb.append("LEFT OUTER JOIN T_EVA_PerfFile AS \"PERFFILE\"").append("\n");
        sb.append("ON \"EVAOBJ\".FPerfFileID = \"PERFFILE\".FID").append("\n");
        sb.append("").append("\n");
        sb.append("LEFT OUTER JOIN T_ORG_Admin AS \"ADMINORGUNIT\"").append("\n");
        sb.append("ON \"PERFFILE\".FAdminOrgUnitID = \"ADMINORGUNIT\".FID").append("\n");
        sb.append("").append("\n");
        sb.append("LEFT OUTER JOIN T_HR_BDEmployeeType AS \"EMPLOYEETYPE\"").append("\n");
        sb.append("ON \"PERFFILE\".FEmployeeTypeID = \"EMPLOYEETYPE\".FID").append("\n");
        sb.append("").append("\n");
        sb.append("LEFT OUTER JOIN T_ORG_HRO AS \"HRORGUNIT\"").append("\n");
        sb.append("ON \"PERFFILE\".FHrOrgUnitID = \"HRORGUNIT\".FID").append("\n");
        sb.append("").append("\n");
        sb.append("LEFT OUTER JOIN T_ORG_Position AS \"POSITION\"").append("\n");
        sb.append("ON \"PERFFILE\".FPositionID = \"POSITION\".FID").append("\n");
        sb.append("").append("\n");
        sb.append("LEFT OUTER JOIN T_BD_Person AS \"PERSON\"").append("\n");
        sb.append("ON \"PERFFILE\".FPersonID = \"PERSON\".FID").append("\n");
        sb.append("").append("\n");
        sb.append("LEFT OUTER JOIN T_ORG_Admin AS \"DEPARTMENT\"").append("\n");
        sb.append("ON \"ADMINORGUNIT\".FDepartmentID = \"DEPARTMENT\".FID").append("\n");
        sb.append("").append("\n");
        sb.append("LEFT OUTER JOIN T_ORG_Admin AS \"COMPANY\"").append("\n");
        sb.append("ON \"ADMINORGUNIT\".FCompanyID = \"COMPANY\".FID").append("\n");
        sb.append("").append("\n");
        sb.append("LEFT OUTER JOIN T_EVA_EvaResultAuditBill AS \"EVARESULTAUDITBILL\"").append("\n");
        sb.append("ON \"EVARESULTAUDITBILLENTRY\".FBillID = \"EVARESULTAUDITBILL\".FID").append("\n");
        sb.append("").append("\n");
        sb.append("where \"EVARESULTSUMMARY\".FGradeLevel in('C','D') and \"INTERVIEW\".FInterviewStatus IS NULL and \"EVAPLAN\".CFPerobjectIdID is null").append("\n");
        Set set = new HashSet();
        IRowSet iRowSet = DBUtils.executeQuery(ctx, sb.toString());
        while (iRowSet.next()) {
            set.add(iRowSet.getString("EVARESULTSUMMARY.FID"));
        }
        return set;
    }


}
