package com.kingdee.eas.hr.perf.handler;

import com.kingdee.bos.Context;
import com.kingdee.eas.base.permission.UserInfo;
import com.kingdee.eas.hr.perf.AccompTheGoal;
import com.kingdee.eas.hr.perf.AccompTheGoalInfo;
import com.kingdee.eas.util.app.ContextUtil;
import com.kingdee.shr.base.syssetting.context.SHRContext;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import com.kingdee.shr.base.syssetting.json.GridDataEntity;
import com.kingdee.shr.base.syssetting.web.handler.ListHandler;
import org.springframework.ui.ModelMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * @author qingwu
 * @date 2024/12/13
 * @apiNote
 */
public class AccompTheGoalListHandler extends ListHandler {
    private Context ctx = SHRContext.getInstance().getContext();

    @Override
    protected void afterGetListData(HttpServletRequest request, HttpServletResponse response, GridDataEntity gridDataEntity) throws SHRWebException {
        super.afterGetListData(request, response, gridDataEntity);
        //ǰ¼Աid
        UserInfo currentUserInfo = ContextUtil.getCurrentUserInfo(ctx);
        List<Map<String, Object>> rows = gridDataEntity.getRows();
        for (int i = rows.size(); i > 0; i--) {
            Map<String, Object> map = rows.get(i-1);
            if (!map.get("creator.id").toString().equals(currentUserInfo.getId().toString())) {
                rows.remove(map);
            }
        }
    }
}
