package com.kingdee.eas.hr.perf.handler;


import com.google.common.collect.Maps;
import com.kingdee.bos.Context;
import com.kingdee.shr.base.syssetting.api.bean.BatchMessageTipsHeader;
import com.kingdee.shr.base.syssetting.context.SHRContext;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import com.kingdee.shr.base.syssetting.exception.ShrWebBizException;

import com.kingdee.shr.perfweb.app.exception.SHRPerfWebBizException;

import com.kingdee.shr.perfweb.planexecute.handler.EvaResultSummaryManagerListHandler;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.ui.ModelMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.ArrayList;

import java.util.List;
import java.util.Map;

public class EvaResultSummaryManagerListHandlerEx extends EvaResultSummaryManagerListHandler {

    private static final Logger logger = LoggerFactory.getLogger(EvaResultSummaryManagerListHandlerEx.class);

    public void auditEvaResutAction(HttpServletRequest request, HttpServletResponse response, ModelMap modelMap, BatchMessageTipsHeader batchMessageTipsHeader) throws SHRWebException {
        Context ctx = SHRContext.getInstance().getContext();
        Map<String,Object> map = Maps.newHashMap();
        String ids = (String) request.getAttribute("billId");
        List<String> idList = new ArrayList();
        if (ids == null) {
            throw new ShrWebBizException(new SHRPerfWebBizException(SHRPerfWebBizException.SYSTEMERR));
        } else {
            for (String id : ids.split(",")) {
                idList.add(id);
            }
            StringBuffer sql = new StringBuffer();
            sql.append(" select ers.fid,pp.FBELONGORGID from ");
            sql.append(" T_EVA_EvaResultSummary ers ");
            sql.append(" left join T_EVA_PerfPlan pp on ers.FEVAPLANID=pp.fid ");

            //T_EVA_OrgEvaResultSummary
            String code = (String) map.get("code");
            List<Map<String,String>> msgList = (List<Map<String, String>>) map.get("msgList");
            if("pass".equalsIgnoreCase(code)) {
                super.auditEvaResutAction(request, response, modelMap, batchMessageTipsHeader);
            }else {
                for(Map<String,String> stringMap : msgList) {
                    addBatchMessageTip(stringMap.get("id"),stringMap.get("msg"),batchMessageTipsHeader);
                }
            }
        }
    }

}
