
package com.kingdee.eas.hr.perf.web;

import java.util.LinkedList;
import java.util.List;
import java.util.Map;

import org.operamasks.faces.annotation.Inject;
import org.operamasks.faces.annotation.ManagedBean;
import org.operamasks.faces.annotation.ManagedBeanScope;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.MetaDataPK;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.bos.waf.annotation.IBOSBizCtrl;
import com.kingdee.bos.waf.util.OperateState;
import com.kingdee.bos.waf.winlet.edit.EditBean;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBase;
import org.operamasks.faces.annotation.Accessible;
import org.operamasks.faces.component.form.impl.*;
import com.kingdee.bos.waf.action.AbstractWebAction;
import javax.faces.event.AbortProcessingException;
import javax.faces.context.FacesContext;
import org.operamasks.faces.component.action.ActionEvent;
import org.operamasks.faces.annotation.Action;
import com.kingdee.bos.waf.winlet.BaseBean;
import com.kingdee.bos.metadata.entity.SelectorItemInfo;

import com.kingdee.eas.hr.perf.IPerformanceScoringSum;
import com.kingdee.eas.hr.perf.PerformanceScoringSumInfo;
import com.kingdee.eas.hr.perf.PerformanceScoringSumEntryInfo;
import com.kingdee.eas.hr.perf.PerformanceScoringSumEntryCollection;

public abstract class AbstractPerformanceScoringSumEditUIBean extends com.kingdee.bos.waf.winlet.edit.EditBean {

	@IBOSBizCtrl
	protected com.kingdee.eas.hr.perf.IPerformanceScoringSum service;

	@Inject("hr.perf.PerformanceScoringSumEntryBean")
	protected PerformanceScoringSumEntryBean performanceScoringSumEntryBean;
	public AbstractPerformanceScoringSumEditUIBean() {
		super();
	}

	
	
	@Override
	public void createNewModel() {
		model = new PerformanceScoringSumInfo();
	}

	@Override
	public void pageOnload() {
		super.pageOnload();
		
		PerformanceScoringSumEntryCollection entryCol_0 = ((PerformanceScoringSumInfo) model).getEntrys();

		List<CoreBaseInfo> listModel_0 = new LinkedList<CoreBaseInfo>();
		if (entryCol_0 != null)
		{
			for (int i = 0, n = entryCol_0.size(); i < n; i++) {
				listModel_0.add(entryCol_0.get(i));
			}
	
			performanceScoringSumEntryBean.setListModel(listModel_0);
		}

		
	}

	@Override
	public void saveModel() {
		updateModel();
		super.saveModel();
	}

	@Override
	public void submitModel() {
		updateModel();
		super.submitModel();
	}


	protected void updateModel() {
		
		if (performanceScoringSumEntryBean == null)
			performanceScoringSumEntryBean = (PerformanceScoringSumEntryBean) com.kingdee.bos.waf.util.BeanUtil
					.getBean("hr.perf.PerformanceScoringSumEntryBean");

		performanceScoringSumEntryBean.updataModel();
		List<CoreBaseInfo> entryModel_0 = performanceScoringSumEntryBean.getListModel();
		((PerformanceScoringSumInfo) model).getEntrys().clear();
		if (entryModel_0 != null) {
			for (CoreBaseInfo entryInfo : entryModel_0) {
				((PerformanceScoringSumInfo) model).getEntrys().add(
						(PerformanceScoringSumEntryInfo) entryInfo);
			}
		}

	}
	
	
	//entry
	public void performanceScoringSumEntryBean_apendRow(){
		performanceScoringSumEntryBean.appendRow();
	}
	public void performanceScoringSumEntryBean_removeRow(){
		performanceScoringSumEntryBean.removeRow();
	}
		

	@Override
	protected ICoreBase getBizInterface() {
		return service;
	}
	
	@Override
	public IMetaDataPK getMetaDataPK() {
		return new MetaDataPK("com.kingdee.eas.hr.perf.web.PerformanceScoringSumEditUI");
	}
	
	@Override
	protected String getEntryPKName() {
	
		return "entrys.id";
	
	}

	@Override
	public SelectorItemCollection getSelectors() {
		SelectorItemCollection sic = super.getSelectors();
        sic.add(new SelectorItemInfo("number"));
        sic.add(new SelectorItemInfo("bizDate"));
        sic.add(new SelectorItemInfo("handler.*"));
        sic.add(new SelectorItemInfo("description"));
        sic.add(new SelectorItemInfo("auditor.*"));
        sic.add(new SelectorItemInfo("entrys.id"));
        sic.add(new SelectorItemInfo("entrys.firstDep.*"));
        sic.add(new SelectorItemInfo("entrys.chargeDepPerson.*"));
        sic.add(new SelectorItemInfo("entrys.score"));
        sic.add(new SelectorItemInfo("entrys.addMultiplyPart"));
        sic.add(new SelectorItemInfo("entrys.remark"));
        sic.add(new SelectorItemInfo("perforAppraisal.*"));
        sic.add(new SelectorItemInfo("evaluationDate"));
	
		return sic;
	}			
    	protected String getTDTemplateName() {
	    	return "/bim/hr/perf/PerformanceScoringSum";
		}
	    protected com.kingdee.bos.metadata.IMetaDataPK getTDQueryPK() {
	    	return new com.kingdee.bos.metadata.MetaDataPK("com.kingdee.eas.hr.perf.app.PerformanceScoringSumQuery");
	    }

}
